2008-02-26 18:37  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.tf,
	  win95/microsft/config.h, winnt/microsft/config.h, man/dmake.nc:

	#i83497# Release dmake 4.12.

2008-02-07 14:50  vq

	* function.c, sysintf.c, man/dmake.nc, man/dmake.tf:

	#i83940# Make the result of $(mktmp ..) aware of the .WINPATH setting.

2008-02-07 10:42  vq

	* dmake.c:

	#i85136# The content of INCFILENAME needs no further expansion.

2008-02-07 10:28  vq

	* dmake.c:

	#i85136# Prevent filenames from being expanded if they already are.

2008-02-06 17:22  vq

	* dmake.c:

	#i85136# Do not expand ABSMAKECMD and MAKECMD macros.

2008-02-05 17:02  vq

	* tests/: Makefile.am, Makefile.in, targets-30:

	#i84800# Add testcase.

2008-02-04 16:05  vq

	* make.c:

	#i85381# Fix possible heap corruption for the cygwin dmake version.

2008-01-22 00:34  vq

	* unix/runargv.c:

	#i83540# Separate error handling from pid.

2008-01-07 20:36  vq

	* unix/runargv.c:

	#i83540# Add diagnostics for WaitForMultipleObjects() calls.

2008-01-07 19:31  vq

	* quit.c:

	#i83540# Prevent possible invinite loop when aborting.

2008-01-07 01:07  vq

	* path.c:

	#i84800# Do not collaps the foo/.. entries if foo is '.' or '..'.

2008-01-06 16:21  vq

	* make.c, unix/runargv.c:

	#i85014# Let master targets for targets with multiple (::) rules inherit
	the newest time stamp of their "sub"-rules.
	Make runargv() indicate that it finished the command when it had to wait
	for its completion.

2007-11-28 15:18  vq

	* win95/microsft/config.mk:

	#i83540# Fix dmake's own makefile to build itself.

2007-11-27 23:08  vq

	* Makefile.am, Makefile.in, msdos/rmprq.c,
	  win95/microsft/vpp40/mk.bat:

	#i83540# A parallel runargv needs a corresponding rmprq.

2007-11-26 09:23  vq

	* unix/runargv.c:

	#i83540# Return the pid that was waited for.

2007-11-25 22:37  vq

	* unix/runargv.c:

	#i83540# Fix handle inheritance for native W32 process spawning.

2007-11-25 12:53  vq

	* NEWS:

	#i83540# Add NEWS entry about parallel builds with native W32 dmake.

2007-11-22 10:27  vq

	* unix/runargv.c:

	#i83540# Avoid conflict on solaris, rename NOPID to DMNOPID.

2007-11-11 19:12  vq

	* dag.c, extern.h, imacs.c, sysintf.c, unix/runargv.c,
	  win95/microsft/config.mk, win95/microsft/ruletab.c,
	  win95/microsft/vpp40/mk.bat:

	#i83540# Make dmake buildable with .NET 2003 again.

2007-11-11 18:05  vq

	* Makefile.am, Makefile.in, dag.c, dmake.c, extern.h, imacs.c,
	  sysintf.c, msdos/runargv.c, unix/runargv.c,
	  win95/microsft/ruletab.c:

	#i83540# Enable parallel builds with native W32 dmake. (First MinGW only.)

2007-11-10 19:19  vq

	* sysintf.c:

	#i83523# Post-rename clean up.

2007-11-10 19:03  vq

	* extern.h, function.c, msdos/borland/bcc30/config.h,
	  msdos/borland/bcc40/config.h, msdos/borland/bcc45/config.h,
	  msdos/borland/bcc50/config.h, msdos/borland/tcc20/config.h,
	  msdos/microsft/config.h, msdos/zortech/config.h,
	  os2/ibm/config.h, win95/borland/bcc50/config.h,
	  win95/microsft/config.h, winnt/borland/bcc50/config.h,
	  winnt/microsft/config.h:

	#i83523# Rename macro PVOID to DMPVOID to avoid problems when including
	windows.h.

2007-11-09 20:54  vq

	* unix/runargv.c:

	#i10000# Small clean up.

2007-11-09 10:50  vq

	* NEWS, configure, configure.in, man/dmake.nc, man/dmake.tf,
	  readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i83497# Bump version to 4.12-cvs.

2007-10-13 19:43  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, win95/microsft/config.h, winnt/microsft/config.h:

	#i79271# Release dmake 4.11.

2007-10-13 18:27  vq

	* tests/misc-20:

	#i10000# Fix typo.

2007-10-13 18:21  vq

	* tests/: Makefile.am, Makefile.in, misc-21:

	#i81252# Add testcase.

2007-10-11 16:57  vq

	* tests/: function_macros-9, misc-9, targets-21, targets-26,
	  targets-27:

	#i50092# Work around Solaris and nfs timing issues.
	Patch from hjs@openoffice.org.

2007-10-11 16:36  vq

	* make.cmd:

	#i81855# Add a comment about building dmake on OS/2.

2007-10-06 10:33  vq

	* msdos/runargv.c, tests/recipes-9, unix/runargv.c:

	#i80598# Always issue a warning if the actual execution of a recipe line
	(this does not include sucessfully executed, but failing programs) fails.

2007-09-24 17:45  vq

	* tests/: Makefile.am, Makefile.in, targets-29:

	#i80012# Add testcase.

2007-09-24 13:51  vq

	* unix/runargv.c:

	#i80012# Fix crash when deleting intermediate targets.

2007-09-23 18:12  vq

	* Makefile.in, configure:

	#i81855# Regenerate configure and friends.

2007-09-23 18:05  vq

	* configure.in, dmake.c, expand.c, extern.h, make.cmd, path.c,
	  sysintf.c, startup/unix/os2/Makefile.am,
	  startup/unix/os2/Makefile.in, startup/unix/os2/macros.mk,
	  unix/os2/public.h:

	#i81855# More changes for the OS/2 port.
	Patch provided by Yuri Dario.

2007-09-22 19:11  vq

	* configure:

	#i81855# Regenerate configure and friends.

2007-09-22 19:05  vq

	* NEWS, imacs.c, os2/sysintf.h, unix/dcache.c, unix/dirbrk.c,
	  unix/sysintf.h:

	#i81855# Clean-up merge from CWS os2port01.

2007-09-22 18:27  vq

	* make.cmd:

	#i81855# Revert change to make.cmd as it refers to a non-existing script
	in dmake\os2\gcc\emx\mk.cmd.

2007-09-22 18:08  vq

	* unix/runargv.c:

	RESYNC: (1.11-1.12); FILE MERGED

2007-09-22 18:08  vq

	* os2/ruletab.c:

	RESYNC: (1.2-1.3); FILE MERGED

2007-09-22 18:08  vq

	* expand.c:

	RESYNC: (1.6-1.7); FILE MERGED

2007-09-22 18:08  vq

	* dmake.c, sysintf.c:

	RESYNC: (1.10-1.11); FILE MERGED

2007-09-22 18:08  vq

	* configure.in:

	RESYNC: (1.29-1.30); FILE MERGED

2007-09-21 20:46  vq

	* NEWS:

	#i79271# Update NEWS file.

2007-09-21 19:14  vq

	* dmake.c:

	#i81296# Change comment.

2007-09-19 21:50  vq

	* man/: dmake.nc, dmake.tf:

	#i81252# Restore alphabetical order.

2007-09-18 21:03  vq

	* man/: dmake.nc, dmake.tf:

	#i81252# Add documentation for the SHELLCMDQUOTE macro.

2007-09-18 20:34  vq

	* getinp.c, imacs.c, make.c, sysintf.c, vextern.h, mac/public.h,
	  msdos/runargv.c, msdos/spawn.c, msdos/borland/bcc30/public.h,
	  msdos/borland/bcc40/public.h, msdos/borland/bcc45/public.h,
	  msdos/borland/bcc50/public.h, msdos/borland/tcc20/public.h,
	  msdos/microsft/msc51/public.h, msdos/microsft/msc60/public.h,
	  msdos/zortech/public.h, os2/ibm/icc/public.h,
	  os2/ibm/icc3/public.h, qssl/public.h, qssl/runargv.c,
	  startup/win95/macros.mk, startup/winnt/macros.mk, tos/public.h,
	  unix/runargv.c, unix/386ix/public.h, unix/bsd43/public.h,
	  unix/bsd43/uw/public.h, unix/bsd43/vf/public.h,
	  unix/bsdarm32/public.h, unix/coherent/ver40/public.h,
	  unix/coherent/ver42/public.h, unix/cygwin/public.h,
	  unix/linux/gnu/public.h, unix/macosx/gnu/public.h,
	  unix/solaris/public.h, unix/solaris/gnu/public.h,
	  unix/sysvr1/public.h, unix/sysvr3/public.h,
	  unix/sysvr3/gnu/public.h, unix/sysvr3/pwd/public.h,
	  unix/sysvr4/public.h, unix/xenix/public.h,
	  unix/xenix/pwd/public.h, win95/borland/bcc50/public.h,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h, winnt/mingw/public.h,
	  winnt/msvc6/public.h:

	#i81252# Add a new SHELLCMDQUOTE control macro.

2007-09-17 18:24  vq

	* tests/: function_macros-8, macros-7:

	#i78776# Fix testcases for non-cygwin OS.

2007-09-16 12:35  vq

	* tests/: Makefile.am, Makefile.in, misc-20:

	#i81296# Add testcases.

2007-09-16 00:10  vq

	* tests/macros-11:

	#i74007# Change testcase.

2007-09-15 23:57  vq

	* dmake.c, mac/ruletab.c, man/dmake.nc, man/dmake.tf,
	  msdos/ruletab.c, os2/ruletab.c, unix/ruletab.c,
	  win95/borland/ruletab.c, win95/microsft/ruletab.c,
	  winnt/borland/ruletab.c, winnt/microsft/ruletab.c:

	#i74007# Revert the part of the previous patch that lets OOODMAKEMODE
	always be imported from the environment. Instead move the definition
	of targets from the command line after the evaluation of the startup
	makefile.

2007-09-15 23:16  vq

	* tests/macros-11:

	#i74007# Add testcase.

2007-09-15 23:06  vq

	* man/dmake.nc:

	#i74007# Update text version of the man page.

2007-09-15 23:03  vq

	* dmake.c, mac/ruletab.c, man/dmake.tf, msdos/ruletab.c,
	  os2/ruletab.c, unix/ruletab.c, win95/borland/ruletab.c,
	  win95/microsft/ruletab.c, winnt/borland/ruletab.c,
	  winnt/microsft/ruletab.c:

	#i74007# Always import OOODMAKEMODE from the environment. Define targets from
	the command line after the macros from the command line and OOODMAKEMODE
	from the environment are set.

2007-09-13 23:40  vq

	* dmake.c, extern.h, make.c, rulparse.c:

	#i81296# Clear flags indicating that targets that infered makefiles (and
	their prerequisites) were previously build.

2007-09-13 20:08  vq

	* dmake.h, rulparse.c:

	#i81296# Remove bit recycling for F_VISITED/F_USED. Use only F_VISITED.

2007-09-09 15:11  vq

	* quit.c:

	#i81273# Fixed another MinGW build problem.

2007-09-08 14:20  vq

	* make.c, rulparse.c:

	#i10000# Add some output for .INCLUDE operations when the -vf verbose
	flag is given.

2007-09-06 10:53  vq

	* quit.c:

	#i81273# Fix MinGW build problem.

2007-09-02 06:57  vq

	* tests/: Makefile.am, Makefile.in, misc-19:

	#i67911# Add testcase.

2007-09-02 06:44  vq

	* make.c, sysintf.c, msdos/runargv.c, qssl/runargv.c,
	  unix/runargv.c, win95/microsft/vpp40/runargv.c,
	  winnt/microsft/vpp40/runargv.c:

	#i67911# Wait with the deletion of temporary files until the target is
	completely made.

2007-08-31 01:24  vq

	* sysintf.c, man/dmake.nc, man/dmake.tf, tests/targets-21,
	  tests/targets-28:

	#i64572# Issue a warning for virtual targets with corresponding files.
	Update testcases.

2007-08-30 05:13  vq

	* man/: dmake.nc, dmake.tf:

	#i64572# Add documentation.

2007-08-28 22:27  vq

	* tests/Makefile.am:

	#i64234# Also change Makefile.am.

2007-08-28 22:25  vq

	* tests/: Makefile.in, function_macros-10:

	#i64234# Add testcase.

2007-08-28 14:28  vq

	* function.c, man/dmake.nc, man/dmake.tf:

	#i64234# Fix $(mktmp ..) handling of leading spaces.

2007-08-26 18:22  vq

	* tests/: Makefile.am, Makefile.in, macros-11:

	#i74007# Add testcase.

2007-08-25 16:50  vq

	* tests/: Makefile.am, Makefile.in, targets-28:

	#i64572# Add testcases.

2007-08-25 15:34  vq

	* make.c, sysintf.c:

	#i64572# If a target without recipes has an existing file use its time
	stamp only if the time is newer than the one of the its newest prerequisite.

2007-08-22 10:02  vq

	* sysintf.c:

	#i64572# Fix the F_RULES problem mentioned before.

2007-08-21 11:09  vq

	* make.c, sysintf.c:

	#i64572# To keep the dependency chains intact targets without recipes inherit
	the time of their newest prerequisite. (Additional patches are needed as
	currently the F_RULES flag is not always set correctly.)

2007-08-19 20:05  vq

	* sysintf.c:

	#i64572# Assumes that targets without recipe lines have a current time
	stamp after they were made (independent of the actual time stamp of the
	file.

2007-08-18 18:23  vq

	* make.c, sysintf.c:

	#i64572# Make dmake warn if the time stamp of a target is not updated
	after making the target. This warning can be silenced using the
	.SILENT attribute.

2007-08-17 23:21  vq

	* make.c:

	#i10000# Remove unused variable.

2007-08-17 23:16  vq

	* dmake.h, make.c, sysintf.c:

	#i10000# Add some comments.

2007-08-15 17:46  vq

	* tests/: Makefile.am, Makefile.in, targets-27:

	#i80687# Add testcase.

2007-08-15 17:25  vq

	* make.c:

	#i80687# Fix building of inferred phony prerequisites.

2007-08-14 13:55  vq

	* make.c:

	#i64572# Revert previous patch.

2007-08-13 11:33  vq

	* make.c:

	#i64572# Make dmake warn if the time stamp of a target is not updated
	after making the target.

2007-08-11 17:23  vq

	* tests/: Makefile.am, Makefile.in, recipes-9:

	#i80598# Add testcase.

2007-08-11 16:52  vq

	* unix/runargv.c:

	#i80598# Fix handling of ignored errors in the spawn enabled version
	of dmake.

2007-08-10 13:59  vq

	* tests/: Makefile.am, Makefile.in, targets-26:

	#i66751# Add testcase.

2007-08-10 13:39  vq

	* infer.c:

	#i66751# Make sure that infered phony %-targets do not have a time stamp.

2007-08-10 11:42  vq

	* infer.c, man/dmake.nc, man/dmake.tf:

	#i66751# Accept .PHONY attribute in %-targets.

2007-08-09 15:46  vq

	* macparse.c:


	#i69510# Change error on assignment to an empty macro name to a warning.

2007-08-08 22:00  vq

	* tests/: Makefile.am, Makefile.in, recipes-8:

	#i67709# Add testcase.

2007-08-08 21:43  vq

	* parse.c, rulparse.c:

	#i67709# Improve parsing of group recipes.

2007-08-08 13:49  vq

	* tests/: Makefile.am, Makefile.in, macros-10:

	#i69510# Add testcase.

2007-08-08 12:54  vq

	* macparse.c:

	#i69510# Improve error message.

2007-08-08 12:52  vq

	* macparse.c:

	#i69510# Improve macro name syntax check during assignment.

2007-08-06 21:54  vq

	* rulparse.c, man/dmake.nc, man/dmake.tf:

	#i66448# Clarify prerequisites for %-targets.

2007-08-05 17:10  vq

	* function.c, tests/Makefile.am, tests/Makefile.in,
	  tests/function_macros-9:

	#i50092# Enhance $(shell,expand .. ) parsing. Add testcase.

2007-08-05 14:55  vq

	* make.c:

	#i70168# Clear F_MARK flag after dynamic prerequisite expansion is done.

2007-08-05 13:51  vq

	* infer.c:

	#i80144# Clean-up.

2007-08-05 13:03  vq

	* infer.c, tests/targets-24:

	#i80144# Change error about ambigous inference targets to warning.

2007-08-04 14:56  vq

	* tests/: Makefile.am, Makefile.in, targets-25:

	#i80352# Add testcase.

2007-08-04 14:42  vq

	* make.c:

	#i80352# Fix .PRECIOUS attribute.

2007-08-04 00:15  vq

	* tests/: Makefile.am, Makefile.in, targets-23, targets-24:

	#i80144# Add testcases.

2007-07-31 20:45  vq

	* tests/: Makefile.am, Makefile.in, targets-22:

	#i80143# Add testcase.

2007-07-31 20:29  vq

	* infer.c:

	#i80143# Fix problem marking some intermediate targets removable.

2007-07-30 22:23  vq

	* expand.c:

	#i80009# Add missing string initialization.

2007-07-29 22:28  vq

	* infer.c:

	#i80144# Improve check for ambiguous inference chains.

2007-07-29 12:10  vq

	* infer.c, stat.c:

	#i10000# Add comments to documents aspects of the inference mechanism.

2007-07-28 13:12  vq

	* configure, configure.in:

	#i79815# Fix default DMAKEROOT macro value.

2007-07-27 22:03  vq

	* tests/: Makefile.am, Makefile.in, targets-21:

	#i78837# Add testcase.

2007-07-27 21:37  vq

	* tests/: Makefile.am, Makefile.in, macros-9:

	#i80010# Add testcase.

2007-07-27 15:47  vq

	* expand.c:

	#i80010# Keep quotes for :1 and :i macro extensions.

2007-07-27 15:16  vq

	* tests/: Makefile.am, Makefile.in, macros-8:

	#i80009# Add testcase.

2007-07-27 13:06  vq

	* NEWS, man/dmake.nc, man/dmake.tf:

	#i78776# Document new normalizing function macro and macro extension.

2007-07-26 18:27  vq

	* expand.c:

	#i80009# Fix handling of quoted filenames for :b :d :e :f macro expansions.

2007-07-24 20:31  vq

	* tests/: Makefile.am, Makefile.in, function_macros-8, macros-7:

	#i78776# Add testcases.

2007-07-24 19:00  vq

	* dag.c, dmake.h, expand.c, extern.h, function.c, path.c:

	#i78776# New function macro $(normpath[,para] list) to normalise the
	elements of list and a macro extension $(macro_name:n) to normalise
	the content of macro_name. The normalization is done token-wise and
	quotes are preserved.
	On cygwin the result honors the setting of .WINPATH to determine the
	output format.  If the optional parameter para is given in the
	$(normpath ...) case its expanded value is used to override the
	.WINPATH setting for the output of the function macro.

2007-07-12 18:59  vq

	* make.c, tests/Makefile.am, tests/Makefile.in, tests/targets-20:

	#i69462# Do not assume that non-existing prerequisites for %-targets have
	the same time stamp as the parent target. Testcase added.

2007-07-05 17:17  vq

	* getinp.c:

	#i79200# Remove unneeded error on defined or DEFINED after .IF expression.

2007-07-05 11:58  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i79271# Bump version to 4.11-cvs.

2007-06-25 18:11  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i78508# Release dmake 4.9.

2007-06-22 16:47  vq

	* man/dmake.nc, man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/targets-19:

	#i78061# Add testcase and documentation.

2007-06-22 13:36  vq

	* man/: dmake.nc, dmake.tf:

	#i74007# Add documentation to manpage.

2007-06-21 16:28  vq

	* tests/: Makefile.am, Makefile.in, targets-18:

	#i74007#  Add testcase.

2007-06-20 18:26  vq

	* dag.c, imacs.c, path.c, vextern.h:

	#i74700# Add a new special macro OOODMAKEMODE that is used to toggle
	OOo build specific behavior. If OOODMAKEMODE is set (i.e. it begins with y)
	the leading ./ of a path will no longer be removed.
	This patch also fixes iz78061.

2007-06-20 18:07  vq

	* configure.in:

	#i78152# Make dmake buildable on GNU/kFreeBSD.

2007-06-17 23:56  vq

	* man/: dmake.nc, dmake.tf:

	#i78033# Document :i macro expansion.

2007-04-24 13:42  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, win95/microsft/config.h, winnt/microsft/config.h:

	#i73700# Release dmake 4.8.

2007-04-09 09:22  vq

	* tests/misc-18:

	#i73499# Fix bash syntax typo.

2007-04-08 23:27  vq

	* tests/misc-18:

	#i73499# Make test work on Solaris.

2007-04-08 23:06  vq

	* make.c:

	#i73499# Fix potential problem with m_at getting freed without being
	initalized first.

2007-03-27 13:21  vq

	* man/: dmake.nc, dmake.tf:

	#i10000# Fix typos in manual.
	This patch was provided by shay@openoffice.org.

2007-03-24 00:29  vq

	* make.c, man/dmake.nc, man/dmake.tf:

	#i75697# Document the special treatment of $? for the :! ruleop.

2007-03-23 16:40  vq

	* NEWS, man/dmake.nc, man/dmake.tf, tests/Makefile.am,
	  tests/Makefile.in, tests/misc-18:

	#i73499# Add documentation and testcase.

2007-03-19 00:58  vq

	* sysintf.c:

	#i73499# Restrict function to cygwin only use.

2007-03-18 11:02  vq

	* sysintf.c:

	#i73499# Add missing include statement.

2007-03-17 15:00  vq

	* dag.c, dmake.c, dmake.h, dmdump.c, extern.h, getinp.c, imacs.c,
	  infer.c, make.c, rulparse.c, sysintf.c, vextern.h:

	#i73499# Add new .WINPATH attribute to generate Windows style paths
	(with regular slashes) instead of the default cygwin style (POSIX)
	paths for dmake's dynamic macros.

	This attribute is specific for cygwin dmake executables and non-cygwin
	environments ignore this attribute.

	The windows style paths use regular slashes ('/') instead of the
	usual windows backslash ('\') as directory separator to avoid quoting
	problems (It still is a cygwin dmake!) and cygwin as well as native
	windows programs should have no problems using this (c:/foo/bar) path
	representation.

	The affected macros are $@, $*, $>, $?, $<, $&, $^ and $(PWD),
	$(MAKEDIR) and $(TMD).

	Examples:

	Content of $(PWD) without .WINPATH (default):  /cygdrive/c/temp

	Content of $(PWD) with .WINPATH set:           c:/temp

2007-03-16 22:36  vq

	* sysintf.c:

	#i10000# Trivial fix.

2007-03-13 20:51  vq

	* sysintf.c, unix/rmprq.c:

	#i10000# No real change, only comments were added or modified.

2007-01-29 23:24  vq

	* man/: dmake.nc, dmake.tf:

	#i73996# Update man page.

2007-01-29 21:39  vq

	* make.c, path.c, sysintf.c, vextern.h:

	#i73996# Avoid relative paths going up to the root directory.

2007-01-26 19:51  vq

	* dag.c, imacs.c, make.c:

	#i739183 Mark the internal macros PWD, MAKEDIR and TMD as precious.
	Also commit some small macro relates clean ups and comment changes.

2007-01-22 21:49  vq

	* dag.c:

	#i10000# Remove warning and add error handling.

2007-01-22 21:25  vq

	* getinp.c, make.c:

	#i10000# Small cosmetic changes.

2007-01-21 18:21  vq

	* configure, configure.in, path.c, man/dmake.nc, man/dmake.tf,
	  unix/dcache.c:

	#i73661# Improve case insensitive directory caching on case sensitive
	file systems but it is *not* recommended to to so. A comment was added
	to the man page emphasizing this.

2007-01-20 22:00  vq

	* Makefile.in, configure, configure.in, man/dmake.nc, man/dmake.tf,
	  readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i73700# Bump version to 4.8-cvs.

2007-01-27 20:53  vq

	* configure, configure.in:

	Masterfix from SRC680_m200. This patch fixes a MacOSX problem
	encountered after integration into the OOo SRC680 master.

2007-01-15 21:36  vq

	* msdos/runargv.c:

	#i61856# There is currently no parallel processing for the native W32 dmake.
	Let Wait_for_child() always return -1 indicating that there is nothing to
	wait for on this OS.

2006-12-21 23:45  vq

	* NEWS:

	#i69952# Release dmake 4.7
	(Some extra changes were done in CWS dmake47.)

2006-12-21 23:36  vq

	* unix/runargv.c:

	#i61856# Remove another verbose debugging statement.

2006-12-20 22:16  vq

	* quit.c, sysintf.c, unix/runargv.c:

	#i61856# Child process handling improvements.

2006-12-06 17:09  vq

	* dmake.c:

	#i72337# Make dmake -V tell whether fork/exec or spawn is used.

2006-12-02 14:35  vq

	* tests/Makefile.am:

	#i72210# Missed an autotool bit.

2006-12-02 14:10  vq

	* tests/Makefile.in, tests/recipes-7, unix/runargv.c:

	#i72210# Add missing detail and a testcase.

2006-12-02 13:25  vq

	* unix/runargv.c:

	#i72210# Teach spawn enabled dmake to honor the '-' recipe switch.

2006-11-30 20:16  vq

	* unix/runargv.c:

	#i61856# Fix "Internal Error: Child is missing .." problem.

2006-11-27 17:23  vq

	* unix/runargv.c:

	#i61856# Improve (dmake internal) process handling.

2006-11-23 11:58  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, win95/microsft/config.h, winnt/microsft/config.h:

	#i69952# Release dmake 4.7.

2006-11-21 06:50  hjs

	* tests/: macros-6, misc-13:

	small cleanup

2006-11-20 20:32  vq

	* tests/misc-13:

	#i71777# Fix testcase - Only test the directory cache for case
	insensitivity if the FS is also case insensitive.

2006-11-20 12:16  vq

	* tests/: misc-15, recipes-5, recipes-6:

	#i71777# Solaris testcase fixes.

2006-11-20 11:58  vq

	* tests/macros-6:

	#i71777# Fix testcase.

2006-11-20 11:38  vq

	* tests/recipes-6:

	#i71422# Fix testcase.

2006-11-19 16:10  vq

	* man/dmake.nc, man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/misc-17:

	#i71704# Add testcase and documentation.

2006-11-19 00:27  vq

	* dag.c, dmake.c, imacs.c, make.c, unix/runargv.c:

	#i71704# Let the global .SEQUENTIAL attribute implicitely set MAXPROCESS=1
	and disallow MAXPROCESS to be changed if the global .SEQUENTIAL is set.

2006-11-17 18:09  vq

	* tests/: Makefile.am, Makefile.in, misc-16:

	#i61856# Add testcase.

2006-11-17 16:56  vq

	* dmake.h, sysintf.c, unix/runargv.c:

	#i61856# Implement better way to wait for a process queue to finish
	without obstructing other process queues during parallel makefile
	processing.

2006-11-15 14:43  vq

	* configure, configure.in, unix/runargv.c:

	#i71582# Make dmake usable on OpenBSD. (Patch separated from CWS openbsd01)

2006-11-13 15:39  vq

	* tests/: Makefile.am, Makefile.in, recipes-5, recipes-6:

	#i71422# Add testcases.

2006-11-13 14:08  vq

	* NEWS, man/dmake.nc, man/dmake.tf:

	#i71422# Document new @@ recipe property.

2006-11-12 00:25  vq

	* Makefile.in, config.h.in, configure, configure.in,
	  startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  tests/Makefile.in:

	#i71422# Remove unused macro and regenerate autotools files.

2006-11-12 00:06  vq

	* dag.c, dmake.c, dmake.h, extern.h, function.c, getinp.c, make.c,
	  rulparse.c, sysintf.c, vextern.h, mac/public.h, msdos/runargv.c,
	  msdos/borland/bcc30/public.h, msdos/borland/bcc40/public.h,
	  msdos/borland/bcc45/public.h, msdos/borland/bcc50/public.h,
	  msdos/borland/tcc20/public.h, msdos/microsft/msc51/public.h,
	  msdos/microsft/msc60/public.h, msdos/zortech/public.h,
	  os2/ibm/icc/public.h, os2/ibm/icc3/public.h, qssl/public.h,
	  qssl/runargv.c, tos/public.h, unix/runargv.c,
	  unix/386ix/public.h, unix/bsd43/public.h, unix/bsd43/uw/public.h,
	  unix/bsd43/vf/public.h, unix/bsdarm32/public.h,
	  unix/coherent/ver40/public.h, unix/coherent/ver42/public.h,
	  unix/cygwin/public.h, unix/linux/gnu/public.h,
	  unix/macosx/gnu/public.h, unix/solaris/public.h,
	  unix/solaris/gnu/public.h, unix/sysvr1/public.h,
	  unix/sysvr3/public.h, unix/sysvr3/gnu/public.h,
	  unix/sysvr3/pwd/public.h, unix/sysvr4/public.h,
	  unix/xenix/public.h, unix/xenix/pwd/public.h,
	  win95/borland/bcc50/public.h, win95/microsft/vpp40/public.h,
	  winnt/borland/bcc50/public.h, winnt/microsft/vpp40/public.h,
	  winnt/mingw/public.h, winnt/msvc6/public.h:

	#i71422# Add a new feature: Using @@ as a recipe prefix redirects the
	output (stdout and stderr) of a recipe to /dev/null (or NUL on W32)
	completely suppressing the output of that recipe to the terminal.
	As for the @ prefix this can be disabled using the -v[r] switch.

2006-11-09 22:25  vq

	* tests/: Makefile.am, Makefile.in, misc-15:

	#i69943# Add testcase to check directory caching with DOS style path
	targets on cygwin dmake.

2006-11-09 17:33  vq

	* make.c, path.c:

	#i69821# Fix/improve $(TMD) handling.

2006-11-09 16:31  vq

	* tests/: Makefile.am, Makefile.in, macros-6:

	#i69821# Add testcase to verify that .SETDIR works (with drive letters
	on cygwin) and sets TMD correctly.

2006-11-09 13:16  vq

	* make.c:

	#i69821# Add comment where TMD is detecting different drive letters for
	native W32 dmake versions.

2006-10-08 19:27  vq

	* NEWS, make.c, tests/Makefile.am, tests/Makefile.in,
	  tests/targets-17:

	#i70210# Fix dmakes handling of empty dynamic prerequisites.

2006-10-08 18:57  vq

	* make.c:

	#i70168# Remove FIXME.

2006-10-08 18:49  vq

	* NEWS, imacs.c, make.c, rulparse.c, vextern.h, man/dmake.nc,
	  man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/targets-16:

	#i70168# Improve $ handling in targets/prerequisites.

2006-10-07 16:23  vq

	* parse.c, tests/Makefile.am, tests/Makefile.in, tests/misc-14:

	#i70027# Fix diagnostic output and add a testcase.

2006-10-07 15:30  vq

	* NEWS, man/dmake.nc, man/dmake.tf:

	#i69742# Add NEWS file entry and mention normalization in the man page.

2006-10-07 14:34  vq

	* dag.c:

	#i69742# Never normalize cells that contain a $ in the pathname.

2006-10-06 22:28  vq

	* tests/: Makefile.am, Makefile.in, targets-15:

	#i69742# Add testcase.

2006-10-06 00:02  vq

	* dag.c, make.c:

	#i69742# Don't targets with $ in the filepath as dynamic macros. ($$ means
	a single $ in the filepath.)

2006-10-03 23:17  vq

	* dag.c, sysintf.c:

	#i69742# Enable normalization of targets and non-dynamic prerequisites.
	(Dynamic prerequisites are prerequisites with not expanded macros.)

2006-10-02 20:46  vq

	* path.c:

	#i69742# Fix problem when removing multiple '/'.

2006-10-01 15:18  vq

	* dmake.c, extern.h, path.c:

	#i69742# Create Clean_path() function.

2006-10-01 12:23  vq

	* path.c, unix/dirbrk.c:

	#i69742# Clean up/speed up Build_path().

2006-09-30 11:01  vq

	* mac/sysintf.h, msdos/sysintf.h, os2/sysintf.h, qssl/sysintf.h,
	  tos/sysintf.h, unix/sysintf.h, win95/borland/sysintf.h,
	  win95/microsft/sysintf.h, winnt/borland/sysintf.h,
	  winnt/microsft/sysintf.h, winnt/mingw/sysintf.h,
	  winnt/msvc6/sysintf.h:

	#i69814# Remove the unused DMSTRLWR macro.

2006-09-29 17:20  vq

	* Makefile.in, autogen.sh, config.h.in, configure, configure.in,
	  extern.h, function.c, make.c, sysintf.c:

	#i69953# Remove NO_DRIVE_LETTERS, use HAVE_DRIVE_LETTERS instead.

2006-09-29 14:55  vq

	* tests/macros-5:

	#i69821# Fix testcase.

2006-09-29 14:50  vq

	* dmstring.c, extern.h, imacs.c, make.c, stat.c, man/dmake.nc,
	  man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/misc-13, unix/dcache.c, win95/microsft/config.h:

	#i69814# Add/fix option to make directory cache case insensitive. (Make
	this the default for Windows and Mac OS X.) Added testcase.

2006-09-28 17:42  vq

	* imacs.c, make.c, tests/Makefile.am, tests/Makefile.in,
	  tests/macros-5:

	#i69821# Fix TMD macro and add testcase.

2006-09-28 17:16  vq

	* Makefile.am, Makefile.in, aclocal.m4, autogen.sh, compile,
	  config.guess, config.h.in, configure, configure.in, depcomp,
	  install-sh, missing, mkinstalldirs, msdos/Makefile.am,
	  msdos/Makefile.in, startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  tests/Makefile.in, win95/Makefile.am, win95/Makefile.in,
	  win95/microsft/Makefile.am, win95/microsft/Makefile.in:

	#i69953# Clean up of the autotooling.

2006-09-28 13:33  vq

	* Makefile.in, configure, configure.in, man/dmake.nc, man/dmake.tf,
	  readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i69952#  Bump version to 4.7-cvs.

2006-09-24 19:57  vq

	* tests/targets-12:

	#i69818# Fix testcase.

2006-09-21 16:57  vq

	* Makefile.in, NEWS, configure, configure.in, man/dmake.nc,
	  man/dmake.tf, win95/microsft/config.h, winnt/microsft/config.h:

	#i67689# Release dmake 4.6.

2006-09-21 12:24  vq

	* expand.c:

	#i69743# Optimize expand.c:Apply_edit().

2006-09-20 13:32  vq

	* rulparse.c:

	#i66567# Show the ".SUFFIXES target has no special meaning" warning only
	if the -v[w] verbose flag is given.

2006-09-14 12:40  vq

	* man/: dmake.nc, dmake.tf:

	#i69536# Make clear that .SUFFIXES is not supported by dmake.

2006-08-29 13:08  vq

	* function.c, sysintf.c:

	#i69071# Don't use umask for the native W32 dmake.

2006-08-21 00:22  vq

	* dmake.h, make.c, rulparse.c, unix/runargv.c:

	#i10000# Add some code comments.

2006-08-20 13:30  vq

	* man/: dmake.nc, dmake.tf:

	#i64569# Improve documentation of the handling of continued makefile lines.

2006-08-15 14:12  vq

	* tests/: Makefile.am, Makefile.in, macros-4:

	#i44961# Add testcase.

2006-08-15 14:11  vq

	* expand.c:

	#i44961# Reject single letter macros with (, {, ), } and : .

2006-08-15 11:07  vq

	* expand.c:

	#i44961# Throw error if inclosed macro brackets are encountered.

2006-08-14 16:35  vq

	* unix/ruletab.c:

	#i52590# Increase limit of parallel jobs for *NIX dmakes to 64.

2006-07-30 23:35  vq

	* function.c:

	#i67585# Remove unneeded variable definitions.

2006-07-30 22:47  vq

	* function.c, sysintf.c, mac/public.h,
	  msdos/borland/bcc30/public.h, msdos/borland/bcc40/public.h,
	  msdos/borland/bcc45/public.h, msdos/borland/bcc50/public.h,
	  msdos/borland/tcc20/public.h, msdos/microsft/msc51/public.h,
	  msdos/microsft/msc60/public.h, msdos/zortech/public.h,
	  os2/ibm/icc/public.h, os2/ibm/icc3/public.h, qssl/public.h,
	  tos/public.h, unix/386ix/public.h, unix/bsd43/public.h,
	  unix/bsd43/uw/public.h, unix/bsd43/vf/public.h,
	  unix/bsdarm32/public.h, unix/coherent/ver40/public.h,
	  unix/coherent/ver42/public.h, unix/cygwin/public.h,
	  unix/linux/gnu/public.h, unix/macosx/gnu/public.h,
	  unix/solaris/public.h, unix/solaris/gnu/public.h,
	  unix/sysvr1/public.h, unix/sysvr3/public.h,
	  unix/sysvr3/gnu/public.h, unix/sysvr3/pwd/public.h,
	  unix/sysvr4/public.h, unix/xenix/public.h,
	  unix/xenix/pwd/public.h, win95/borland/bcc50/public.h,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h, winnt/mingw/public.h,
	  winnt/msvc6/public.h:

	#i64583# Remove unused parameter from Create_temp() and Get_temp().

2006-07-29 21:47  vq

	* tests/: Makefile.am, Makefile.in, recipes-3, recipes-4:

	#i67589# Add testcases for builtin commands.

2006-07-28 21:55  vq

	* NEWS, man/dmake.nc, man/dmake.tf:

	#i67589# Add documentation and NEWS file entry for builtin commands noop
	and echo.

2006-07-28 17:19  vq

	* make.c, sysintf.c, unix/runargv.c:

	#i67589# Add the internal commands noop and echo to the *nix version of
	dmake. This functionality already existed for the native windows version.

2006-07-26 21:10  vq

	* sysintf.c, msdos/runargv.c, msdos/spawn.c:

	#i67808# Fix the internal echo command of the native Windows dmake version.
	The patch also moves the usage of the global variable Packed_shell to
	msdos/runargv.c and msdos/spawn.c.

2006-07-25 20:47  vq

	* unix/runargv.c:

	#i10000# Oops, the previous patch should not change this part.

2006-07-25 20:20  vq

	* sysintf.c, unix/runargv.c:

	#i10000# Comment and whitespace changes only.

2006-07-24 18:13  vq

	* tests/: Makefile.am, Makefile.in, function_macros-7, recipes-2:

	#i64583# Add testcase for $(mktmp ...) function macro and group recipe.

2006-07-24 17:43  vq

	* dag.c, function.c, sysintf.c:

	#i64583# Let tempfiles generated by $(mktmp ..) always have 600 permissions.
	Generate unique and secure tempfiles if a suffix is requested. (Needed for
	group recipes.)

2006-07-23 00:27  vq

	* Makefile.in, configure, configure.in, man/dmake.nc, man/dmake.tf,
	  readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i67689# Bump version to 4.6-cvs.

2006-07-23 00:05  vq

	* NEWS:

	#i67166# Mention the new warning in the NEWS file.

2006-07-22 23:41  vq

	* tests/: Makefile.am, Makefile.in, function_macros-6:

	#i67585# Add a testcase.

2006-07-22 23:17  vq

	* function.c, man/dmake.nc, man/dmake.tf:

	#i67585# Fix $(nil ...) function macro.
	The patch also removes some unneeded code from _exec_call() and adds some
	extra documentation about function macros to the dmake man page.

2006-07-21 23:48  vq

	* dag.c, hash.c:

	#i10000# Add some comments.

2006-07-19 22:41  vq

	* make.c, sysintf.c, msdos/runargv.c, unix/runargv.c:

	#i10000# No code changes. Only comments were added/improved.

2006-07-16 23:13  vq

	* tests/: Makefile.am, Makefile.in, targets-13, targets-14:

	#i67166# Add testcases.

2006-07-16 23:10  vq

	* dag.c, dmake.c, dmake.h, expand.c, macparse.c:

	#i67166# Make dmake issue a warning if a previously unset macro (i.e. it is
	assumed to be empty) is used and later set to a different value.

2006-07-10 17:01  vq

	* NEWS, tests/Makefile.am, tests/Makefile.in, tests/targets-12:

	#i66567# Add testcase and mention the new warning in the NEWS file.

2006-07-10 16:46  vq

	* rulparse.c, man/dmake.nc, man/dmake.tf:

	#i66567# Deprecate the obsolete special target .SUFFIXES as it has no
	special meaning.

2006-07-09 21:38  vq

	* NEWS, tests/Makefile.am, tests/Makefile.in, tests/targets-11:

	#i67025# Add testcase and mention this bugfix in the NEWS file as it was
	a regression in dmake 4.5 with respect to older versions.

2006-07-09 21:08  vq

	* rulparse.c:

	#i67025# Fix problem of %-targets with attribute .SILENT and -vr verbose
	flag.

2006-06-22 16:48  vq

	* NEWS:

	#i66522# Release dmake 4.5
	(Two more issues were added and fixed in CWS dmake45.)

2006-06-22 16:45  vq

	* tests/: infra-0, macros-1, macros-2, macros-3, misc-1, misc-10,
	  misc-11, misc-2, misc-3, misc-4, misc-5, misc-7, misc-8, misc-9,
	  recipes-1, targets-1, targets-10, targets-2, targets-3,
	  targets-4, targets-5, targets-6, targets-7, targets-8, targets-9:

	#i66650# Make dmake testsuite more portable. (Usable with Solaris.)
	Patch by hjs.

2006-06-22 16:14  vq

	* getinp.c, rulparse.c, tests/Makefile.am, tests/Makefile.in,
	  tests/misc-1, tests/misc-12:

	#i66659# Fix evaluation of line continuations in conditional expressions
	and add testcase.

2006-06-20 10:20  vq

	* Makefile.in, configure, configure.in, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i66522# Release dmake 4.5.

2006-06-17 13:08  vq

	* Makefile.in, configure, configure.in, readme/intro.txt,
	  readme/read1st.txt, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i66522# Increase version number in documentation files and set preliminary
	dmake version to 4.5-cvs.

2006-06-16 20:41  vq

	* NEWS:

	#i66522# Update NEWS file.

2006-06-16 16:38  vq

	* makefile.mk:

	#i66509# Fix bug in makefile.

2006-06-16 16:24  vq

	* man/: dmake.nc, dmake.tf:

	#i66522# Update manpage.

2006-06-16 14:46  vq

	* tests/: Makefile.am, Makefile.in, misc-11:

	#i65281# Add testcase.

2006-06-16 14:31  vq

	* getinp.c, man/dmake.nc, man/dmake.tf:

	#i65281# Fix comparison with empty string.

2006-06-14 22:42  vq

	* unix/ruletab.c, win95/borland/ruletab.c,
	  win95/microsft/ruletab.c, winnt/borland/ruletab.c,
	  winnt/microsft/ruletab.c:

	#i64889# Increase the default MAXLINELENGTH for all "modern" target OSs.

	This patch was submitted by shay@openoffice.org.

2006-06-14 18:43  vq

	* man/dmake.nc, man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/targets-10, tests/targets-7, tests/targets-9:

	#i48087# Add testcases and change man page.

2006-06-13 19:52  vq

	* tests/: Makefile.am, Makefile.in, targets-8:

	#i64331# Add testcase.

2006-06-13 19:31  vq

	* infer.c:

	#i64431# Fix .SETDIR problem with percent targets.

2006-06-13 15:06  vq

	* Makefile.in, configure, configure.in:

	#i64795# Fix typo in configure.in.

2006-06-13 14:33  vq

	* tests/: Makefile.am, Makefile.in, targets-7:

	#i65122# Add testcase.

2006-06-13 13:14  vq

	* tests/: Makefile.am, Makefile.in, targets-6:

	#i66385# Add testcase.

2006-06-13 12:58  vq

	* rulparse.c, man/dmake.nc, man/dmake.tf:

	#i66385# Handle .<suffix> targets regardless of the AUGMAKE (-A) status.
	Document this and regenerate man page.

2006-06-13 11:03  vq

	* tests/: Makefile.am, Makefile.in, targets-5:

	#i66083# Add testcase.

2006-06-13 01:28  vq

	* rulparse.c:

	#i66083# Check that AUGMAKE meta targets are not mixed with normal targets.

2006-06-03 23:30  vq

	* rulparse.c:

	#i48087# Only warn once about multiple prerequisites for %-targets.

2006-06-03 21:55  vq

	* tests/: Makefile.am, Makefile.in, targets-4:

	#i65360# Add testcase to check for message about empty recipe for
	special or meta targets.

2006-06-03 21:37  vq

	* rulparse.c:

	#i65360# Improve output of warning for special or meta targets without
	recipe.

2006-06-03 21:17  vq

	* tests/: Makefile.am, Makefile.in, targets-3:

	#i65360# Add testcase that checks that a warning is issued when .<suffix>
	targets are ignored.

2006-06-03 20:34  vq

	* tests/: Makefile.am, Makefile.in, targets-1, targets-2:

	#i64869# Add testcases and regenerate autotools files.

2006-05-17 17:44  vq

	* Makefile.in, tests/Makefile.am, tests/Makefile.in,
	  tests/macros-3:

	#i65333# Add testcase and regenerate autotools files.

2006-05-17 00:04  vq

	* man/dmake.tf:

	#i65333# Elaborate on .<suffix> vs. special targets and .INIT and .DONE
	that also begin with a dot.

2006-05-15 23:43  vq

	* man/dmake.tf:

	#i65333# Collect .<suffix> description at one place in the man page.

2006-05-15 18:50  vq

	* man/dmake.tf:

	#i48087# Document the current %-target handling.

2006-05-14 13:06  vq

	* rulparse.c:

	#i65360# Fix typo.

2006-05-14 12:58  vq

	* rulparse.c:

	#i65360# Warn if dmake ignores an illegal .<suffix> target but keep the
	behavior of dmake 4.4 and earlier.

2006-05-12 13:36  vq

	* rulparse.c:

	#i48087# Fix typo.

2006-05-12 12:59  vq

	* rulparse.c:

	#i65333# Prevent .ROOT, .TARGETS, .INIT and .DONE from being treates as
	special .<suffix> targets.

2006-05-10 23:38  vq

	* Makefile.in, man/dmake.nc, tests/Makefile.in:

	#i65281# Regenerate autotools files and plain text version of manpage.

2006-05-10 23:31  vq

	* getinp.c, man/dmake.tf, tests/Makefile.am, tests/misc-10:

	#i65281# Fix crash on numeric comparison and add testcase.

2006-05-10 13:46  vq

	* dmdump.c, rulparse.c, struct.h:

	#i48087# Correct parsing of target definitions with multiple % targets and
	prerequisites. Also add some comments.

2006-05-05 17:33  vq

	* dmake.h, infer.c, rulparse.c, struct.h, man/dmake.tf:

	#i65122# Fix problem with "non-documented" handling of multiple %-targets
	plus several improved comments and a man page correction.

2006-05-03 17:47  vq

	* dag.c, dmake.c, getinp.c, imacs.c, parse.c, rulparse.c,
	  vextern.h:

	#i64869# Fix various parsing problems of target definitions and
	add code comments.

2006-03-31 11:04  vq

	* Makefile.in, NEWS, configure, configure.in, readme/intro.txt,
	  readme/read1st.txt, readme/release.txt, win95/microsft/config.h:

	#i63874# Release dmake 4.4
	Update version numbers and regenerate autotool files.

2006-03-15 09:43  vq

	* unix/runargv.c:

	#i61940# Add and correct some comments.

2006-03-14 18:23  vq

	* tests/: Makefile.am, Makefile.in, function_macros-5:

	#i61940# Add testcase to check that $(shell ..) does not pick up output from
	concurrent processes.

2006-03-13 18:21  vq

	* function.c, getinp.c, state.c, unix/arlib.c:

	#i61390# Make dmake (gcc) build -Wall warning free.

2006-03-01 22:46  vq

	* rulparse.c:

	#i61969# Clean F_MADE and F_STAT when recipes or prerequisites are changed
	so that the target gets rebuild even if it was already build. (As a
	generated .INCLUDE makefile.)

2006-03-01 22:37  vq

	* tests/: Makefile.am, Makefile.in, misc-9:

	#i61969# Commit testcase for this issue.

2006-02-26 18:33  vq

	* dmake.c:

	#i62118# Fix invalid detection of circular dependencies arising from F_VISITED
	and F_USED both having the same value but being used in different contexts.

2006-02-26 17:46  vq

	* tests/: Makefile.am, Makefile.in, misc-8:

	#i62118# Add testcase for issue 62118.

2006-02-26 17:23  vq

	* tests/macros-2:

	#i61170# Fix testcase to remove the created "dirwith space" directory.

2006-02-21 18:06  vq

	* unix/runargv.c:

	#i61940# Remove the #undef that unconditionally disabled the use of spawn.

2006-02-11 19:47  vq

	* config.h.in, configure, configure.in, unix/runargv.c:

	#i61940# Enable the alternative use of spawn instead of fork/exec for
	dmake. Add the configure option --enable-spawn. Regenerate autotool files.

2006-02-06 18:06  vq

	* Makefile.in, man/dmake.tf, tests/Makefile.am, tests/Makefile.in,
	  tests/misc-7:

	#i61714# Correct manpage to state that the usage of .SETDIR like
	`.SETDIR=foo : targets` is valid and add a testcase to verify this.

2006-02-04 23:02  vq

	* man/dmake.nc:

	#i61170# Regenerate plain text version of the dmake man page.

2006-02-03 14:46  vq

	* NEWS, make.c, makefile.mk, man/dmake.tf:

	#i61170# Let $(TMD)/somedir always be a valid path.
	Adjust the dmake bootstrap makefile to this change.

2006-02-01 23:50  vq

	* dmake.c:

	#i47919# Fix typo.

2006-02-01 23:39  vq

	* dmake.c, quit.c, sysintf.c, mac/public.h,
	  msdos/borland/bcc30/public.h, msdos/borland/bcc40/public.h,
	  msdos/borland/bcc45/public.h, msdos/borland/bcc50/public.h,
	  msdos/borland/tcc20/public.h, msdos/microsft/msc51/public.h,
	  msdos/microsft/msc60/public.h, msdos/zortech/public.h,
	  os2/ibm/icc/public.h, os2/ibm/icc3/public.h, qssl/public.h,
	  tos/public.h, unix/386ix/public.h, unix/bsd43/public.h,
	  unix/bsd43/uw/public.h, unix/bsd43/vf/public.h,
	  unix/bsdarm32/public.h, unix/coherent/ver40/public.h,
	  unix/coherent/ver42/public.h, unix/cygwin/public.h,
	  unix/linux/gnu/public.h, unix/macosx/gnu/public.h,
	  unix/solaris/public.h, unix/solaris/gnu/public.h,
	  unix/sysvr1/public.h, unix/sysvr3/public.h,
	  unix/sysvr3/gnu/public.h, unix/sysvr3/pwd/public.h,
	  unix/sysvr4/public.h, unix/xenix/public.h,
	  unix/xenix/pwd/public.h, win95/borland/bcc50/public.h,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h, winnt/mingw/public.h,
	  winnt/msvc6/public.h:

	#i47919# Use the correct handler function for the signal() handling.

2006-02-01 18:37  vq

	* man/dmake.nc:

	#i60948# Regenerate plain text version of the dmake man page.

2006-02-01 18:28  vq

	* Makefile.in, NEWS, config.h.in, configure, configure.in, dmake.c,
	  dmake.h, function.c, make.c, sysintf.c, vextern.h, mac/public.h,
	  man/dmake.tf, msdos/runargv.c, msdos/borland/bcc30/public.h,
	  msdos/borland/bcc40/public.h, msdos/borland/bcc45/public.h,
	  msdos/borland/bcc50/public.h, msdos/borland/tcc20/public.h,
	  msdos/microsft/msc51/public.h, msdos/microsft/msc60/public.h,
	  msdos/zortech/public.h, os2/ibm/icc/public.h,
	  os2/ibm/icc3/public.h, qssl/public.h, tos/public.h,
	  unix/runargv.c, unix/386ix/public.h, unix/bsd43/public.h,
	  unix/bsd43/uw/public.h, unix/bsd43/vf/public.h,
	  unix/bsdarm32/public.h, unix/coherent/ver40/public.h,
	  unix/coherent/ver42/public.h, unix/cygwin/public.h,
	  unix/linux/gnu/public.h, unix/macosx/gnu/public.h,
	  unix/solaris/public.h, unix/solaris/gnu/public.h,
	  unix/sysvr1/public.h, unix/sysvr3/public.h,
	  unix/sysvr3/gnu/public.h, unix/sysvr3/pwd/public.h,
	  unix/sysvr4/public.h, unix/xenix/public.h,
	  unix/xenix/pwd/public.h, win95/borland/bcc50/public.h,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h, winnt/mingw/public.h,
	  winnt/msvc6/public.h:

	#i60948# Add -m option family to generate timing information for targets
	and/or recipes. (Autotools files were regenerated.)

2006-02-01 17:08  vq

	* tos/public.h, unix/arlib.c, unix/386ix/public.h,
	  unix/bsd43/public.h, unix/bsd43/uw/public.h,
	  unix/bsd43/vf/public.h, unix/bsdarm32/public.h,
	  unix/coherent/ver40/public.h, unix/coherent/ver42/public.h,
	  unix/cygwin/public.h, unix/linux/gnu/public.h,
	  unix/macosx/gnu/public.h, unix/solaris/public.h,
	  unix/solaris/gnu/public.h, unix/sysvr1/public.h,
	  unix/sysvr3/public.h, unix/sysvr3/gnu/public.h,
	  unix/sysvr3/pwd/public.h, unix/sysvr4/public.h,
	  unix/xenix/public.h, unix/xenix/pwd/public.h:

	#i61390# Add missing prototypes.

2006-01-31 23:18  vq

	* man/dmake.tf:

	#i10000# Small documentation fix.

2006-01-30 15:28  vq

	* quit.c, unix/cygwin/public.h:

	#i61390# Add some missing prototypes to dmake/unix/cygwin/public.h and
	also revert the copyright disclaimer to the original version. This file
	is supposed to be auto generated and identical to:
	dmake/unix/linux/gnu/cygwin/public.h.

2006-01-26 20:22  vq

	* tests/: Makefile.am, Makefile.in, macros-2:

	#i61170# Add testcase and regenerate autotools files.

2006-01-26 20:16  vq

	* make.c:

	#i61170# Add micro optimization as usually PWD is equal to MAKEDIR.

2006-01-25 21:54  vq

	* Makefile.in, config.h.in, configure, configure.in, make.c:

	#i61170# Fix TMD macro and regenerate autotool files.

2006-01-25 21:09  vq

	* configure.in:

	#i53148# Treat MinGW build like MSVC build.

2006-01-11 12:46  rene

	* config.guess, config.sub:

	#i60375# update config.{sub,guess}

2006-01-08 17:20  vq

	* Makefile.in, configure, configure.in:

	#i60168# Expand internal configure variable before using it and
	regenerate autotool files.

2006-01-08 16:44  vq

	* Makefile.in, configure:

	#i60168# Regenerate autotool files.

2006-01-08 16:37  vq

	* configure.in:

	#i60168# Use the --datadir swich to determine where the startup dir is
	placed and adapt the default DMAKEROOT macro setting accordingly.

2006-01-05 20:35  vq

	* tests/Makefile.in:

	#i58259# Regenerate autotool files.

2006-01-05 20:24  vq

	* tests/: misc-6, Makefile.am:

	#i58259# Add testcase.

2006-01-03 23:07  vq

	* make.c:

	#i58259# Fix thinko and solve the problems with all testcases from the
	issue.

2006-01-03 21:13  vq

	* make.c, dmake.h:

	#i58259# Partial fix. This fixes the use of dp after it was freed.

2005-12-15 15:04  vq

	* sysintf.c:

	#i58391# Create better temporary filenames when .NET2003 or newer are used.

2005-10-25 13:19  vq

	* Makefile.in, config.h.in, configure, configure.in, function.c:

	#i53148# Restore old behaviour for non-*NIX dmake versions.

2005-10-11 14:01  vq

	* Makefile.in, tests/Makefile.am, tests/Makefile.in, tests/README,
	  tests/misc-4:

	#i39248# Add testcase and regenerate configure and other autotools files.

2005-10-11 13:48  vq

	* tests/misc-5:

	#i54938# Add testcase for .INCLUDE generation in parallel builds.

2005-10-11 13:39  vq

	* function.c, getinp.c, make.c, vextern.h, unix/runargv.c:

	#i54938# Fix problem when building infered .INCLUDE makefiles and doing
	parallel builds.

2005-10-04 00:33  vq

	* man/: dmake.nc, dmake.tf:

	#i10000# Fix markup error in man page source and regenerate the ascii version.

2005-09-25 20:43  vq

	* dbug/dbug/: dbug.txt, example1.c, example2.c, example3.c,
	  factorial.c, main.c, makeman.sh, readme, user.r:

	#i55070# Restore the documentation for Fred Fish's "C Program Debugging
	Package" DBUG.

2005-09-25 20:33  vq

	* Makefile.am, Makefile.in, configure, configure.in, extern.h,
	  dbug/dbug/dbug.c, msdos/Makefile.in, startup/Makefile.in,
	  startup/unix/Makefile.in, startup/unix/cygwin/Makefile.in,
	  startup/unix/linux/Makefile.in, startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  tests/Makefile.in, unix/Makefile.in, win95/Makefile.in,
	  win95/microsft/Makefile.in:

	#i55070# Fix Fred Fishes DBUG macros and add --enable-dbug to enable them
	in a configure type build. Also regenerate autotool files.

2005-09-21 21:46  vq

	* tempnam.c:

	#i52899# Remove unused file.

2005-09-19 20:50  vq

	* Makefile.in, aclocal.m4, configure, msdos/Makefile.in,
	  startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  tests/Makefile.am, tests/Makefile.in, tests/misc-3,
	  unix/Makefile.in, win95/Makefile.in, win95/microsft/Makefile.in:

	#i49461# Add testcase and regenerate configure and other autotools files.

2005-09-19 20:01  vq

	* NEWS, man/dmake.nc, man/dmake.tf:

	#i53148# Update NEWS file and man page.

2005-09-19 19:48  vq

	* unix/runargv.c:

	#i53148# Move include directive to get some macros defined before using
	them.

2005-09-17 19:25  vq

	* unix/runargv.c:

	#i53148# Make sure that the command started from _exec_shell really
	finished before returning.

2005-09-17 15:47  vq

	* Makefile.in:

	RESYNC: (1.11-1.12); FILE MERGED

2005-09-17 15:47  vq

	* Makefile.am:

	RESYNC: (1.8-1.9); FILE MERGED

2005-09-08 14:00  rt

	* unix/cygwin/public.h:

	INTEGRATION: CWS ooo19126 (1.4.34); FILE MERGED
	2005/09/05 17:12:52 rt 1.4.34.1: #i54170# Change license header: remove SISSL

2005-09-06 21:39  vq

	* unix/runargv.c:

	#i53148# Make sure _attach_cmd can not be used for _exec_shell calls.

2005-09-05 17:10  vq

	* tests/: Makefile.am, function_macros-3, function_macros-4:

	#i53148# Add another testcase.

2005-09-05 16:56  vq

	* dmake.c, function.c, vextern.h, unix/runargv.c:

	#i53148# Move redirection of stdout from parent to child and avoid
	capturing spurious output from other process queues.

2005-09-05 13:23  vq

	* dmake.c, function.c, vextern.h, unix/runargv.c:

	#i53148# Additional patch to make sure that the shell escapes is executed
	after all previous recipe lines from the same target have finished.

2005-09-04 23:17  vq

	* tests/: Makefile.am, function_macros-3, misc-2:

	#i53148# Add testcase.

2005-09-04 15:38  vq

	* dmake.c, function.c, sysintf.c, vextern.h, unix/runargv.c:

	#i53148# Fix $(shell ...) handling for parallel builds with MAXPROCESS > 1.
	This certainly includes the -P# switch with # > 1.

2005-09-01 20:25  vq

	* Makefile.in, aclocal.m4, autogen.sh, msdos/Makefile.in,
	  startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  tests/Makefile.in, unix/Makefile.in, win95/Makefile.in,
	  win95/microsft/Makefile.in:

	#i52238# Regenerate configure and other autotools files.

2005-09-01 19:27  vq

	* tests/: Makefile.am, misc-2:

	#i52238# Add a testcase.

2005-06-04 14:07  vq

	* Makefile.in, startup/Makefile.am, startup/Makefile.in,
	  startup/unix/Makefile.am, startup/unix/Makefile.in,
	  startup/winnt/Makefile.am, startup/winnt/Makefile.in,
	  tests/Makefile.am, tests/Makefile.in, tests/misc-1:

	#i39248# Add another testcase.

2005-06-01 23:58  vq

	* NEWS:

	#i39248# Add entry to NEWS file.

2005-06-01 23:41  vq

	* Makefile.am, Makefile.in, configure, configure.in,
	  tests/Makefile.am, tests/Makefile.in, tests/function_macros-1,
	  tests/function_macros-2, tests/infra-0, tests/macros-1,
	  tests/recipes-1:

	#i39248# Add testsuite for dmake (only tor targets using the autotools).

2005-06-01 19:48  vq

	* function.c:

	#i50091# Echo shell function macro commands.

2005-05-31 22:51  vq

	* unix/dcache.c:

	#i50142# Remove an unneeded warning that was introduced with issue 47135.

2005-05-31 22:27  vq

	* parse.c:

	#i50053# Fix bogus check.

2005-05-31 18:13  vq

	* parse.c:

	#i50053# Fix typo.

2005-05-30 14:37  vq

	* parse.c:

	#i50053# Fix dmake correctly parsing empty makefile lines. This was a
	regression introduced by issue 44959 and worked before only because
	the trailing \n of empty lines were accidentally not removed.

2005-05-20 14:18  vq

	* getinp.c:

	#i49461# Fix fall-out from issue 44959. Continued comment lines were not
	ended if the following line was empty.

2005-05-05 19:12  vq

	* Makefile.in:

	#i47851# Regenerate configure and other autotools files.

2005-05-05 19:06  vq

	* Makefile.am:

	#i47851# Fix dependency checking for subdirectories.

2005-05-05 17:59  vq

	* posix.h:

	#i47135# Leave a comment that the _POSIX_*_MAX values should be set in
	the architecture dependent sysintf.h files instead of clobbering them
	in posix.h

2005-05-05 17:45  vq

	* dmake.c, tempnam.c:

	Issue number: 38830
	Submitted by: waratah@openoffice.org
	Change dmake's diagnosic output to use "Warning:" or "Error:". Adding the
	colon makes it easier grep for these diagnostics in long logfiles.

2005-05-05 17:27  vq

	* infer.c, make.c, rulparse.c, sysintf.c:

	#i43310# Fix dmakes handling of multiple (::) targets concerning attributes
	and flags. Note: An attribute given for a subtarget will also be applied for
	all other subtargets. (Also add a few comments.)

2005-04-22 00:22  vq

	* stdmacs.h, win95/microsft/config.h, winnt/microsft/config.h:

	Issue number: 47866
	Submitted by: shay@openoffice.org, vq@openoffice.org
	Fix MSVC compiler warnings.

2005-04-21 21:27  vq

	* Makefile.in, aclocal.m4, configure, msdos/Makefile.in,
	  startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  unix/Makefile.in, win95/Makefile.in, win95/microsft/Makefile.in:

	#i47851# Regenerate configure and other autotools files.

2005-04-21 21:17  vq

	* infer.c:

	#i43310# Fix cast.

2005-04-21 21:04  vq

	* NEWS, acinclude.m4, autogen.sh, config.h.in, configure.in,
	  dmake.c, dmakeroot.h.in, win95/microsft/config.h,
	  winnt/microsft/config.h:

	#i47851# Increase the version number to 4.4-cvs and slightly rearrange the
	output of "dmake -V".
	Remove the hardcoded (in autotools builds) OS macro. It had the wrong value
	to be usable with the startup/*.mk and is not mentioned in the man page.
	Clean up configure.in and friends.

2005-04-21 00:31  vq

	* expand.c:

	#i37053# Fix (unreached) typo.

2005-04-20 11:26  vq

	* NEWS, dmdump.c, infer.c:

	#i43310# Fix percent (%) rules to recognize prerequisites that are defined
	with the multiple target rule operator (::).
	This implicitly fixes the similar problem for .<suffix>.<suffix> targets.

2005-04-18 18:08  vq

	* unix/dcache.c:

	#i47135# Fix variable name.

2005-04-18 18:03  vq

	* sysintf.c, unix/dcache.c:

	#i47135# Add code to warn if a filename is longer than NAMEMAX permits.

2005-04-17 12:47  vq

	* win95/borland/sysintf.h, win95/microsft/sysintf.h,
	  winnt/borland/sysintf.h, winnt/microsft/sysintf.h,
	  winnt/mingw/sysintf.h:

	Issue number: 47135
	Submitted by: shay@openoffice.org
	Define _POSIX_NAME_MAX and _POSIX_PATH_MAX using the compiler defaults.

2005-04-16 19:05  vq

	* Makefile.in, aclocal.m4, configure, msdos/Makefile.in,
	  startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/cygwin/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.in,
	  startup/winnt/mingw/Makefile.in, startup/winnt/msvc6/Makefile.in,
	  unix/Makefile.in, win95/Makefile.in, win95/microsft/Makefile.in:

	#i47578# Regenerate configure and other autotools files.

2005-04-16 18:53  vq

	* startup/Makefile.am:

	#i47578# Install startup/config.mk instead of the unused startup/template.mk.

2005-04-16 18:29  vq

	* configure.in, startup/config.mk.in:

	#i47578# Generate startup/config.mk during build with autotools.

2005-04-16 12:53  vq

	* NEWS, expand.c, man/dmake.nc, man/dmake.tf:

	#i46987# Fix $(mktmp ...) documentation and add the map escape codes
	$(macro:m) macro expansion.

2005-04-15 19:55  vq

	* win95/borland/ruletab.c, win95/microsft/ruletab.c,
	  winnt/borland/ruletab.c, winnt/microsft/ruletab.c:

	Issue number: 47137
	Submitted by: shay@openoffice.org
	Increase default MAXLINELENGHT to 8190.

2005-04-15 19:34  vq

	* man/: dmake.nc, dmake.tf:

	#i47135# Fix the documentation of the NAMEMAX macro. (Not .NAMEMAX)

2005-04-11 18:16  vq

	* expand.c:

	#i36027# Fix sanity check for end of macro.

2005-04-11 17:13  vq

	* dag.c:

	#i47137# Elaborate a comment.

2005-04-11 16:41  vq

	* getinp.c:

	#i47137# Report and abort when makefile lines are read that are longer than
	MAXLINELENGTH.

2005-04-10 23:38  vq

	* man/dmake.nc:

	#i43252# Regenerate typeset version of the manual page.

2005-04-10 23:28  vq

	* NEWS, dmake.c, dmake.h, sysintf.c, vextern.h, man/dmake.tf,
	  win95/startup.h, winnt/startup.h:

	#i43252# Introduce the macro ABSMAKECMD that's value for a native Windows
	dmake executable (compiled with MS Visual C++ or MinGW) is the absolute
	filename and NULL for other operating systems or dmake build with other
	compilers.
	If DMAKEROOT is not changed and only for native Windows dmake versions the
	value of DMAKEROOT now defaults to "$(ABSMAKECMD:d)startup".

2005-04-09 17:41  vq

	* startup/startup.mk:

	Issue number: 43254
	Submitted by: shay@openoffice.org
	Don't import OS, OSRELEASE and OSENVIRONMENT from environment in startup.mk.

2005-04-09 17:22  vq

	* dmake.c, mac/ruletab.c, msdos/ruletab.c, msdos/startup.h,
	  msdos/zortech/startup.mk, os2/ruletab.c, qssl/ruletab.c,
	  qssl/startup.h, startup/msdos/macros.mk, startup/os2/macros.mk,
	  startup/win95/macros.mk, startup/winnt/macros.mk, tos/ruletab.c,
	  tos/startup.h, unix/ruletab.c, win95/startup.h,
	  win95/borland/ruletab.c, win95/microsft/ruletab.c,
	  winnt/startup.h, winnt/borland/ruletab.c,
	  winnt/microsft/ruletab.c:

	#i43254# Make the usage of DMAKEROOT consistent with the man page for
	all OSs. This includes the removal of "SOLARVER UPD INPATH OS UPDMINOREXT"
	from the list of macros that are always imported from the environment.
	Patch inspired in part by shay@openoffice.org.

2005-04-08 11:26  vq

	* msdos/zortech/startup.mk, startup/msdos/macros.mk,
	  startup/os2/macros.mk, startup/win95/macros.mk,
	  startup/winnt/macros.mk:

	Issue number: 47004
	Submitted by: shay@openoffice
	Fix syntax errors (warnings) in subst macros.

2005-04-08 11:18  vq

	* NEWS, readme/read1st.txt:

	Issue number: 43241
	Submitted by: shay@openoffice.org, vq@openoffice.org
	Add documentation and update NEWS file.

2005-04-07 18:30  vq

	* makefile.mk, win95/microsft/config.mk,
	  win95/microsft/vpp40/mk.bat:

	Issue number: 43241
	Submitted by: shay@openoffice.org
	Allow dmake to be build on windows without 4NT.

2005-03-27 10:42  vq

	* man/: dmake.nc, dmake.tf:

	#i43147# Fix man page.

2005-03-16 00:25  vq

	* NEWS:

	#i44959# Update NEWS file.

2005-03-15 01:02  vq

	* getinp.c:

	#i44959# Comment fix.

2005-03-15 00:55  vq

	* getinp.c:

	#i44959# Make sure not to strip the wrong \n.

2005-03-15 00:20  vq

	* getinp.c:

	#i44959# Fix dmake problems for makefiles when continued lines are
	followed by empty lines.

2005-03-13 22:21  vq

	* dag.c, expand.c, getinp.c, make.c:

	#i37053# Fix continuation char handling.

2005-02-19 15:41  vq

	* NEWS:

	#i36027#, #i37053#, #i37491# Update NEWS file to mention the latest changes.

2004-11-25 11:12  vq

	* getinp.c:

	#i37053# Treat continuation chars as whitespace.

2004-11-25 11:09  vq

	* function.c:

	#i36027# Fix MSVC compilation problem.

2004-11-23 14:57  vq

	* man/: dmake.nc, dmake.tf:

	#i37491# Add documentation for SPACECHAR macro.

2004-11-21 13:00  vq

	* expand.c:

	#i36027# Certainly closing brackets are only accepted when no
	closing separator is found. fixed.

2004-11-21 12:40  vq

	* function.c:

	#i36027# Improve parsing for dmake function macros.

2004-11-21 12:07  vq

	* expand.c:

	#i36027# Relax the syntax check for closing seperator for subst modifiers.

2004-11-19 20:05  vq

	* imacs.c, vextern.h:

	#i37491# Add a predefined SPACECHAR macro.

2004-11-19 19:31  vq

	* expand.c:

	#i36027# This fixes the problems with the :s#pat#rep# modifier and also
	handles a missing closing braket for macros with macro modifiers in general.

2004-11-11 22:45  vq

	* dag.c, getinp.c, make.c:

	#i37053# dmake line continuation fix.

2004-10-22 04:11  rt

	* win95/microsft/config.h:

	INTEGRATION: CWS dmake43 (1.5.2); FILE MERGED
	2004/10/12 19:07:26 vq 1.5.2.1: #i31647# Update version number for the "native" MS compiler build.

2004-10-22 04:11  rt

	* win95/microsft/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:52 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:10  rt

	* unix/Makefile.in:

	INTEGRATION: CWS dmake43 (1.8.18); FILE MERGED
	2004/10/12 18:47:51 vq 1.8.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:09  rt

	* startup/winnt/msvc6/Makefile.in, win95/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:51 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:09  rt

	* startup/winnt/: Makefile.in, mingw/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:50 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:09  rt

	* startup/unix/sysvr4/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:49 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:08  rt

	* startup/unix/solaris/Makefile.in:

	INTEGRATION: CWS dmake43 (1.6.18); FILE MERGED
	2004/10/12 18:47:49 vq 1.6.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:08  rt

	* startup/unix/macosx/Makefile.in:

	INTEGRATION: CWS dmake43 (1.6.18); FILE MERGED
	2004/10/12 18:47:48 vq 1.6.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:08  rt

	* startup/unix/linux/Makefile.in:

	INTEGRATION: CWS dmake43 (1.8.18); FILE MERGED
	2004/10/12 18:47:48 vq 1.8.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:08  rt

	* startup/unix/cygwin/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:48 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:07  rt

	* startup/: Makefile.in, unix/Makefile.in:

	INTEGRATION: CWS dmake43 (1.8.18); FILE MERGED
	2004/10/12 18:47:47 vq 1.8.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:07  rt

	* readme/: intro.txt, read1st.txt:

	INTEGRATION: CWS dmake43 (1.1.1.1.130); FILE MERGED
	2004/10/07 21:57:37 vq 1.1.1.1.130.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:06  rt

	* msdos/Makefile.in:

	INTEGRATION: CWS dmake43 (1.3.18); FILE MERGED
	2004/10/12 18:47:47 vq 1.3.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:06  rt

	* man/dmake.tf:

	INTEGRATION: CWS dmake43 (1.4.2); FILE MERGED
	2004/10/07 22:02:56 vq 1.4.2.1: #i31647# Change the man page also to version 4.3.

2004-10-22 04:06  rt

	* man/dmake.nc:

	INTEGRATION: CWS dmake43 (1.2.2); FILE MERGED
	2004/10/07 22:02:56 vq 1.2.2.1: #i31647# Change the man page also to version 4.3.

2004-10-22 04:05  rt

	* sysintf.c:

	INTEGRATION: CWS dmake43 (1.5.28); FILE MERGED
	2004/10/07 22:18:47 vq 1.5.28.1: #i34746# Fix timestamp of phony targets with prerequisites.

2004-10-22 04:05  rt

	* makefile.mk:

	INTEGRATION: CWS dmake43 (1.2.78); FILE MERGED
	2004/10/07 21:57:36 vq 1.2.78.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:04  rt

	* imacs.c:

	INTEGRATION: CWS dmake43 (1.1.1.1.130); FILE MERGED
	2004/10/07 21:57:36 vq 1.1.1.1.130.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:04  rt

	* dmake.c:

	INTEGRATION: CWS dmake43 (1.4.2); FILE MERGED
	2004/10/07 21:57:36 vq 1.4.2.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:04  rt

	* configure.in:

	INTEGRATION: CWS dmake43 (1.21.16); FILE MERGED
	2004/10/12 19:07:26 vq 1.21.16.2: #i31647# Update version number for the "native" MS compiler build.
	2004/10/07 21:57:36 vq 1.21.16.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:04  rt

	* configure:

	INTEGRATION: CWS dmake43 (1.14.16); FILE MERGED
	2004/10/12 18:47:46 vq 1.14.16.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:03  rt

	* config.h.in:

	INTEGRATION: CWS dmake43 (1.11.16); FILE MERGED
	2004/10/12 18:47:46 vq 1.11.16.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:03  rt

	* aclocal.m4:

	INTEGRATION: CWS dmake43 (1.7.18); FILE MERGED
	2004/10/12 18:47:45 vq 1.7.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:02  rt

	* NEWS:

	INTEGRATION: CWS dmake43 (1.2.78); FILE MERGED
	2004/10/07 22:18:47 vq 1.2.78.2: #i34746# Fix timestamp of phony targets with prerequisites.
	2004/10/07 21:57:35 vq 1.2.78.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-10-22 04:02  rt

	* Makefile.in:

	INTEGRATION: CWS dmake43 (1.10.18); FILE MERGED
	2004/10/12 18:47:45 vq 1.10.18.1: #i31647# Regenerate the autotools files with autogen.sh.

2004-10-22 04:01  rt

	* COPYING, acinclude.m4:

	INTEGRATION: CWS dmake43 (1.1.118); FILE MERGED
	2004/10/07 21:57:35 vq 1.1.118.1: #i31647# Bump the dmake version number to 4.3 plus some small cleanups.

	Note: The _head file was renamed to COPYING, COPYING is not a new file,
	      but was empty befor.

2004-09-08 12:10  rt

	* unix/linux/gnu/public.h, win95/microsft/config.h:

	INTEGRATION: CWS ooo20040704 (1.4.22); FILE MERGED
	2004/07/15 19:47:39 vq 1.4.22.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:09  rt

	* unix/runargv.c:

	INTEGRATION: CWS ooo20040704 (1.7.68); FILE MERGED
	2004/07/15 19:47:38 vq 1.7.68.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:09  rt

	* unix/: dcache.c, rmprq.c, ruletab.c:

	INTEGRATION: CWS ooo20040704 (1.3.68); FILE MERGED
	2004/07/15 19:47:38 vq 1.3.68.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:08  rt

	* man/readme:

	INTEGRATION: CWS ooo20040704 (1.1.1.1.120); FILE MERGED
	2004/07/11 15:15:18 vq 1.1.1.1.120.1: #i31255#, #i17992# Update the documentation of dmake to the new features.

2004-09-08 12:08  rt

	* man/dmake.tf:

	INTEGRATION: CWS ooo20040704 (1.3.22); FILE MERGED
	2004/07/11 15:15:17 vq 1.3.22.1: #i31255#, #i17992# Update the documentation of dmake to the new features.

2004-09-08 12:07  rt

	* man/dmake.nc:

	INTEGRATION: CWS ooo20040704 (1.1.1.1.120); FILE MERGED
	2004/07/11 15:15:17 vq 1.1.1.1.120.1: #i31255#, #i17992# Update the documentation of dmake to the new features.

2004-09-08 12:07  rt

	* rulparse.c:

	INTEGRATION: CWS ooo20040704 (1.5.68); FILE MERGED
	2004/07/15 19:47:37 vq 1.5.68.3: #i30887# Remove the wrongly added LGPL/SISSL license headers.
	2004/07/11 14:48:37 vq 1.5.68.2: #i31255# Add verbose recipe echoing option (-vr) to dmake.
	2004/07/06 00:03:43 vq 1.5.68.1: #i30779# Fix to allow dmake to echo recipe lines when inference is used
	to create files that are be read by .INCLUDE.

	Note that this only fixes the possibility to do so. Recipes that start
	with @ are still not echoed, but dmake -n now shows the recipes.

2004-09-08 12:06  rt

	* parse.c, quit.c, stdmacs.h, unix/arlib.c:

	INTEGRATION: CWS ooo20040704 (1.3.68); FILE MERGED
	2004/07/15 19:47:37 vq 1.3.68.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:06  rt

	* make.c:

	INTEGRATION: CWS ooo20040704 (1.4.24); FILE MERGED
	2004/07/15 19:47:36 vq 1.4.24.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:06  rt

	* function.c:

	INTEGRATION: CWS ooo20040704 (1.6.22); FILE MERGED
	2004/07/15 19:47:36 vq 1.6.22.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:06  rt

	* extern.h:

	INTEGRATION: CWS ooo20040704 (1.7.68); FILE MERGED
	2004/07/15 19:47:36 vq 1.7.68.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:05  rt

	* expand.c, infer.c:

	INTEGRATION: CWS ooo20040704 (1.3.68); FILE MERGED
	2004/07/15 19:47:36 vq 1.3.68.1: #i30887# Remove the wrongly added LGPL/SISSL license headers.

2004-09-08 12:05  rt

	* dmake.h:

	INTEGRATION: CWS ooo20040704 (1.1.1.1.120); FILE MERGED
	2004/07/11 14:48:37 vq 1.1.1.1.120.1: #i31255# Add verbose recipe echoing option (-vr) to dmake.

2004-09-08 12:05  rt

	* dag.c, dmake.c:

	INTEGRATION: CWS ooo20040704 (1.3.68); FILE MERGED
	2004/07/15 19:47:35 vq 1.3.68.2: #i30887# Remove the wrongly added LGPL/SISSL license headers.
	2004/07/11 14:48:36 vq 1.3.68.1: #i31255# Add verbose recipe echoing option (-vr) to dmake.

2004-09-08 12:04  rt

	* INSTALL:

	INTEGRATION: CWS ooo20040704 (1.1.108); FILE MERGED
	2004/07/11 15:15:16 vq 1.1.108.1: #i31255#, #i17992# Update the documentation of dmake to the new features.

2004-04-21 10:10  svesik

	* itypes.h:

	INTEGRATION: CWS ooo20040329 (1.2.54); FILE MERGED
	2004/03/19 12:41:09 waratah 1.2.54.1: #i13620# extra definitions to use internal types defined in AIX

2004-04-21 10:10  svesik

	* getinp.c:

	INTEGRATION: CWS ooo20040329 (1.4.8); FILE MERGED
	2004/04/01 16:24:25 mmeeks 1.4.8.1: #27319

2004-04-21 10:10  svesik

	* configure.in:

	INTEGRATION: CWS ooo20040329 (1.20.14); FILE MERGED
	2004/03/19 12:36:41 waratah 1.20.14.1: #i13620# allow configure to pick up on types defined by AIX and also allow AIX to work in configure

2004-04-21 10:09  svesik

	* configure:

	INTEGRATION: CWS ooo20040329 (1.13.4); FILE MERGED
	2004/03/19 12:37:40 waratah 1.13.4.1: #i13620# allow configure to pick up on types defined by AIX and also allow AIX to work in configure

2004-04-21 10:09  svesik

	* config.h.in:

	INTEGRATION: CWS ooo20040329 (1.10.4); FILE MERGED
	2004/03/19 12:40:18 waratah 1.10.4.1: #i13620# Extra defines as used by configure

2004-02-25 08:56  kz

	* win95/: Makefile.in, microsft/Makefile.am, microsft/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:29:04 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:56  kz

	* win95/Makefile.am:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:29:03 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:56  kz

	* unix/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.7.48); FILE MERGED
	2004/02/20 12:29:03 hr 1.7.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:56  kz

	* unix/Makefile.am:

	INTEGRATION: CWS geordi2q15 (1.4.66); FILE MERGED
	2004/02/20 12:29:03 hr 1.4.66.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:55  kz

	* startup/winnt/: mingw/Makefile.in, msvc6/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:29:02 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:55  kz

	* startup/: unix/sysvr4/Makefile.in, winnt/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:29:01 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:54  kz

	* startup/unix/: macosx/Makefile.in, solaris/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.5.48); FILE MERGED
	2004/02/20 12:29:00 hr 1.5.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:54  kz

	* startup/unix/linux/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.7.48); FILE MERGED
	2004/02/20 12:28:59 hr 1.7.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:54  kz

	* startup/unix/cygwin/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:28:59 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:54  kz

	* startup/: Makefile.in, unix/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.7.48); FILE MERGED
	2004/02/20 12:28:58 hr 1.7.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:53  kz

	* msdos/Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:28:58 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:53  kz

	* msdos/Makefile.am:

	INTEGRATION: CWS geordi2q15 (1.2.48); FILE MERGED
	2004/02/20 12:28:57 hr 1.2.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:53  kz

	* configure:

	INTEGRATION: CWS geordi2q15 (1.12.10); FILE MERGED
	2004/02/20 12:28:56 hr 1.12.10.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:53  kz

	* config.h.in:

	INTEGRATION: CWS geordi2q15 (1.9.10); FILE MERGED
	2004/02/20 12:28:56 hr 1.9.10.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:52  kz

	* aclocal.m4:

	INTEGRATION: CWS geordi2q15 (1.6.48); FILE MERGED
	2004/02/20 12:28:56 hr 1.6.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:52  kz

	* Makefile.in:

	INTEGRATION: CWS geordi2q15 (1.9.48); FILE MERGED
	2004/02/20 12:28:56 hr 1.9.48.1: #111934#: merge CWS ooo111fix3

2004-02-25 08:52  kz

	* Makefile.am:

	INTEGRATION: CWS geordi2q15 (1.7.48); FILE MERGED
	2004/02/20 12:28:56 hr 1.7.48.1: #111934#: merge CWS ooo111fix3

2004-01-28 08:21  hjs

	* getinp.c:

	#i17992# applied patch to enable komplex logic in .IF statements

2003-12-17 11:19  vg

	* winnt/msvc6/public.h:

	INTEGRATION: CWS geordi2q11 (1.2.38); FILE MERGED
	2003/12/16 11:17:47 hr 1.2.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:18  vg

	* winnt/mingw/public.h:

	INTEGRATION: CWS geordi2q11 (1.2.38); FILE MERGED
	2003/12/16 11:17:46 hr 1.2.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:18  vg

	* winnt/microsft/vpp40/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:46 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:18  vg

	* winnt/borland/bcc50/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:45 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:17  vg

	* win95/microsft/vpp40/public.h:

	INTEGRATION: CWS geordi2q11 (1.3.38); FILE MERGED
	2003/12/16 11:17:44 hr 1.3.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:17  vg

	* win95/microsft/vpp40/mk.bat:

	INTEGRATION: CWS geordi2q11 (1.2.38); FILE MERGED
	2003/12/16 11:17:44 hr 1.2.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:17  vg

	* win95/microsft/config.h:

	INTEGRATION: CWS geordi2q11 (1.3.38); FILE MERGED
	2003/12/16 11:17:43 hr 1.3.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:16  vg

	* win95/borland/bcc50/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:43 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:16  vg

	* unix/xenix/pwd/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:42 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:15  vg

	* unix/xenix/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:41 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:15  vg

	* unix/: sysvr3/pwd/public.h, sysvr4/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:40 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:14  vg

	* unix/sysvr3/gnu/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:39 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:14  vg

	* unix/sysvr3/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:38 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:13  vg

	* unix/: solaris/gnu/public.h, sysvr1/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:37 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:13  vg

	* unix/solaris/public.h:

	INTEGRATION: CWS geordi2q11 (1.2.46); FILE MERGED
	2003/12/16 11:17:36 hr 1.2.46.1: #111934#: join CWS ooo111fix1

2003-12-17 11:12  vg

	* unix/macosx/gnu/public.h:

	INTEGRATION: CWS geordi2q11 (1.3.38); FILE MERGED
	2003/12/16 11:17:35 hr 1.3.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:12  vg

	* unix/linux/gnu/public.h:

	INTEGRATION: CWS geordi2q11 (1.3.38); FILE MERGED
	2003/12/16 11:17:33 hr 1.3.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:11  vg

	* unix/cygwin/public.h:

	INTEGRATION: CWS geordi2q11 (1.3.38); FILE MERGED
	2003/12/16 11:17:32 hr 1.3.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:11  vg

	* unix/coherent/ver42/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:31 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:10  vg

	* unix/: bsdarm32/public.h, coherent/ver40/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:30 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:10  vg

	* unix/bsd43/vf/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:29 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:09  vg

	* unix/bsd43/: public.h, uw/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:28 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:08  vg

	* unix/386ix/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:27 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:07  vg

	* qssl/public.h, tos/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:26 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:07  vg

	* os2/ibm/icc3/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:25 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:06  vg

	* os2/ibm/icc/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:24 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:05  vg

	* msdos/: microsft/msc60/public.h, zortech/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:23 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:05  vg

	* msdos/microsft/msc51/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:22 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:04  vg

	* msdos/borland/: bcc50/public.h, tcc20/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:21 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:03  vg

	* msdos/borland/bcc45/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:20 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:02  vg

	* msdos/borland/: bcc30/public.h, bcc40/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:19 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:02  vg

	* man/dmake.tf:

	INTEGRATION: CWS geordi2q11 (1.2.56); FILE MERGED
	2003/12/16 11:17:18 hr 1.2.56.1: #111934#: join CWS ooo111fix1

2003-12-17 11:02  vg

	* mac/public.h:

	INTEGRATION: CWS geordi2q11 (1.4.30); FILE MERGED
	2003/12/16 11:17:17 hr 1.4.30.1: #111934#: join CWS ooo111fix1

2003-12-17 11:01  vg

	* sysintf.c:

	INTEGRATION: CWS geordi2q11 (1.4.52); FILE MERGED
	2003/12/16 11:17:16 hr 1.4.52.1: #111934#: join CWS ooo111fix1

2003-12-17 11:01  vg

	* function.c:

	INTEGRATION: CWS geordi2q11 (1.5.8); FILE MERGED
	2003/12/16 11:17:16 hr 1.5.8.1: #111934#: join CWS ooo111fix1

2003-12-17 11:00  vg

	* configure.in:

	INTEGRATION: CWS geordi2q11 (1.19.38); FILE MERGED
	2003/12/16 11:17:15 hr 1.19.38.1: #111934#: join CWS ooo111fix1

2003-12-17 11:00  vg

	* configure:

	INTEGRATION: CWS geordi2q11 (1.11.38); FILE MERGED
	2003/12/16 11:17:15 hr 1.11.38.1: #111934#: join CWS ooo111fix1

2003-12-17 10:59  vg

	* config.h.in:

	INTEGRATION: CWS geordi2q11 (1.8.38); FILE MERGED
	2003/12/16 11:17:14 hr 1.8.38.1: #111934#: join CWS ooo111fix1

2003-12-01 12:58  rt

	* make.c:

	INTEGRATION: CWS ooo20031110 (1.3.24); FILE MERGED
	2003/10/19 22:38:29 waratah 1.3.24.1: #i20504#  Correct processing of library code, not always built

2003-08-18 11:04  hjs

	* function.c:

	INTEGRATION: CWS geordi2q01 (1.4.22); FILE MERGED
	2003/08/18 12:53:30 hr 1.4.22.1: #i18350#: join changes from CWS ooo11rc3

2003-06-12 06:56  vg

	* winnt/microsft/vpp40/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:27 mh 1.3.8.1: join: from beta2

2003-06-12 06:56  vg

	* winnt/borland/bcc50/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:26 mh 1.3.8.1: join: from beta2

2003-06-12 06:56  vg

	* win95/borland/bcc50/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:25 mh 1.3.8.1: join: from beta2

2003-06-12 06:56  vg

	* unix/xenix/pwd/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:24 mh 1.3.8.1: join: from beta2

2003-06-12 06:55  vg

	* unix/: sysvr4/public.h, xenix/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:23 mh 1.3.8.1: join: from beta2

2003-06-12 06:55  vg

	* unix/sysvr3/pwd/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:22 mh 1.3.8.1: join: from beta2

2003-06-12 06:54  vg

	* unix/sysvr3/: public.h, gnu/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:21 mh 1.3.8.1: join: from beta2

2003-06-12 06:54  vg

	* unix/sysvr1/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:20 mh 1.3.8.1: join: from beta2

2003-06-12 06:54  vg

	* unix/solaris/gnu/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:19 mh 1.3.8.1: join: from beta2

2003-06-12 06:54  vg

	* unix/coherent/: ver40/public.h, ver42/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:18 mh 1.3.8.1: join: from beta2

2003-06-12 06:54  vg

	* unix/bsdarm32/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:17 mh 1.3.8.1: join: from beta2

2003-06-12 06:53  vg

	* unix/bsd43/vf/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:16 mh 1.3.8.1: join: from beta2

2003-06-12 06:53  vg

	* unix/bsd43/uw/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:15 mh 1.3.8.1: join: from beta2

2003-06-12 06:53  vg

	* unix/: 386ix/public.h, bsd43/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:14 mh 1.3.8.1: join: from beta2

2003-06-12 06:53  vg

	* tos/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:13 mh 1.3.8.1: join: from beta2

2003-06-12 06:52  vg

	* qssl/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:12 mh 1.3.8.1: join: from beta2

2003-06-12 06:52  vg

	* os2/ibm/icc3/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:11 mh 1.3.8.1: join: from beta2

2003-06-12 06:52  vg

	* os2/ibm/icc/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:10 mh 1.3.8.1: join: from beta2

2003-06-12 06:52  vg

	* msdos/zortech/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:09 mh 1.3.8.1: join: from beta2

2003-06-12 06:52  vg

	* msdos/microsft/msc60/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:08 mh 1.3.8.1: join: from beta2

2003-06-12 06:51  vg

	* msdos/microsft/msc51/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:07 mh 1.3.8.1: join: from beta2

2003-06-12 06:51  vg

	* msdos/borland/tcc20/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:06 mh 1.3.8.1: join: from beta2

2003-06-12 06:51  vg

	* msdos/borland/bcc50/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:05 mh 1.3.8.1: join: from beta2

2003-06-12 06:51  vg

	* msdos/borland/bcc45/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:04 mh 1.3.8.1: join: from beta2

2003-06-12 06:51  vg

	* msdos/borland/bcc40/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:03 mh 1.3.8.1: join: from beta2

2003-06-12 06:50  vg

	* msdos/borland/bcc30/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:02 mh 1.3.8.1: join: from beta2

2003-06-12 06:50  vg

	* mac/public.h:

	INTEGRATION: CWS mh11rc (1.3.8); FILE MERGED
	2003/06/06 09:59:01 mh 1.3.8.1: join: from beta2

2003-03-25 09:02  hr

	* Makefile.am, Makefile.in, NEWS, aclocal.m4, autogen.sh,
	  config.h.in, configure, configure.in, dag.c, dmake.c,
	  dmakeroot.h.in, expand.c, extern.h, function.c, infer.c,
	  itypes.h, make.c, makefile.mk, parse.c, posix.h, quit.c,
	  rulparse.c, stdmacs.h, tempnam.c, mac/main.c, mac/public.h,
	  msdos/Makefile.am, msdos/Makefile.in,
	  msdos/borland/bcc30/public.h, msdos/borland/bcc40/public.h,
	  msdos/borland/bcc45/public.h, msdos/borland/bcc50/public.h,
	  msdos/borland/tcc20/public.h, msdos/microsft/msc51/public.h,
	  msdos/microsft/msc60/public.h, msdos/zortech/public.h,
	  os2/ibm/icc/public.h, os2/ibm/icc3/public.h, qssl/public.h,
	  startup/Makefile.am, startup/Makefile.in,
	  startup/unix/Makefile.in, startup/unix/cygwin/Makefile.in,
	  startup/unix/linux/Makefile.in, startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in,
	  startup/unix/sysvr4/Makefile.in, startup/winnt/Makefile.am,
	  startup/winnt/Makefile.in, startup/winnt/mingw/Makefile.am,
	  startup/winnt/mingw/Makefile.in, startup/winnt/mingw/macros.mk,
	  startup/winnt/msvc6/Makefile.am, startup/winnt/msvc6/Makefile.in,
	  startup/winnt/msvc6/macros.mk, tos/public.h, unix/Makefile.in,
	  unix/arlib.c, unix/dcache.c, unix/rmprq.c, unix/ruletab.c,
	  unix/runargv.c, unix/386ix/public.h, unix/bsd43/public.h,
	  unix/bsd43/uw/public.h, unix/bsd43/vf/public.h,
	  unix/bsdarm32/public.h, unix/coherent/ver40/public.h,
	  unix/coherent/ver42/public.h, unix/cygwin/public.h,
	  unix/linux/gnu/public.h, unix/macosx/gnu/public.h,
	  unix/solaris/gnu/public.h, unix/sysvr1/public.h,
	  unix/sysvr3/public.h, unix/sysvr3/gnu/public.h,
	  unix/sysvr3/pwd/public.h, unix/sysvr4/public.h,
	  unix/xenix/public.h, unix/xenix/pwd/public.h, win95/Makefile.am,
	  win95/Makefile.in, win95/borland/bcc50/public.h,
	  win95/microsft/Makefile.am, win95/microsft/Makefile.in,
	  win95/microsft/config.h, win95/microsft/ruletab.c,
	  win95/microsft/vpp40/mk.bat, win95/microsft/vpp40/obj.rsp,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h, winnt/mingw/public.h,
	  winnt/mingw/sysintf.h, winnt/msvc6/public.h,
	  winnt/msvc6/sysintf.h:

	MWS_SRX644: migrate branch mws_srx644 -> HEAD

2003-01-13 09:27  waratah

	* mac/main.c, mac/public.h, msdos/borland/bcc30/public.h,
	  msdos/borland/bcc40/public.h, msdos/borland/bcc45/public.h,
	  msdos/borland/bcc50/public.h, msdos/borland/tcc20/public.h,
	  msdos/microsft/msc51/public.h, msdos/microsft/msc60/public.h,
	  msdos/zortech/public.h, os2/ibm/icc/public.h,
	  os2/ibm/icc3/public.h, qssl/public.h, tos/public.h,
	  unix/386ix/public.h, unix/bsd43/public.h, unix/bsd43/uw/public.h,
	  unix/bsd43/vf/public.h, unix/bsdarm32/public.h,
	  unix/coherent/ver40/public.h, unix/coherent/ver42/public.h,
	  unix/cygwin/public.h, unix/solaris/public.h,
	  unix/solaris/gnu/public.h, unix/sysvr1/public.h,
	  unix/sysvr3/public.h, unix/sysvr3/gnu/public.h,
	  unix/sysvr3/pwd/public.h, unix/sysvr4/public.h,
	  unix/xenix/public.h, unix/xenix/pwd/public.h,
	  win95/borland/bcc50/public.h, win95/microsft/vpp40/public.h,
	  winnt/borland/bcc50/public.h, winnt/microsft/vpp40/public.h:

	dmake:  Remove the incorrect definition of main to void

2003-01-04 08:08  waratah

	* unix/macosx/gnu/public.h:

	Remove main definition, it is wrong and it is failing compile on the mac platform

2003-01-04 08:02  waratah

	* unix/runargv.c:

	Implement a test around wait so it is not included when the platform does not define it

2003-01-04 07:53  waratah

	* config.h.in, configure, configure.in:

	Implement a test for wait.h, failing build on mac under gcc

2002-10-15 08:27  waratah

	* config.guess:

	dmake: Implement the latest config.guess, not working on ppc64

2002-10-11 09:42  waratah

	* Makefile.in, config.h.in, configure, configure.in, dag.c,
	  dmake.c, expand.c, extern.h, function.c, getinp.c, infer.c,
	  make.c, parse.c, quit.c, rulparse.c, sysintf.c, unix/arlib.c,
	  unix/dcache.c, unix/rmprq.c, unix/runargv.c,
	  unix/linux/gnu/public.h:

	dmake: Implement fix for Lost child problem. Correct some checks for functions (assumed present) and also fix up all gcc warnings using -Wall.

2002-10-08 05:21  waratah

	* win95/microsft/config.h:

	dmake: Volker 4nt patches

2002-10-07 09:40  waratah

	* startup/unix/cygwin/: Makefile.am, Makefile.in, macros.mk:

	dmake: Add the cygwin configure files

2002-10-07 09:36  waratah

	* extern.h:

	dmake:  Correct some undefined functions in some modules

2002-10-07 09:34  waratah

	* configure:

	dmake: Additional header checks for better source control, add cygwin support, GNU hurd support

2002-10-07 09:33  waratah

	* config.h.in:

	dmake: Additional header checks for better source control

2002-10-07 08:09  waratah

	* configure.in:

	dmake:  Add gnu hurd and some additional header checks, and the cygwin makefiles

2002-10-04 10:34  waratah

	* configure:

	dmake: Patches for the osf1 operating system

2002-10-04 10:14  waratah

	* startup/unix/sysvr4/Makefile.in:

	dmake:  Add osf1 support

2002-10-04 10:01  haggai

	* startup/unix/sysvr4/Makefile.am, configure.in:

	Fix build for OSF1.  Approved by Ken.

2002-10-04 09:31  waratah

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.in,
	  extern.h, function.c, startup/Makefile.in,
	  startup/unix/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in, unix/Makefile.in:

	Dmake:  Convert the configure to a better configure process without individual conf.h files for every platform

2002-10-03 08:59  waratah

	* configure, configure.in, depcomp:

	dmake:  remove cygwin makefile temporarily and implement depcomp

2002-10-03 08:29  waratah

	* Makefile.in, aclocal.m4, configure, configure.in, stdmacs.h,
	  man/dmake.tf, startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/linux/Makefile.in, startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in, unix/Makefile.in:

	dmake:  This is a reworked version of the configure process, without automake and aclocal

2002-10-02 09:42  waratah

	* Makefile.am, Makefile.in, aclocal.m4, autogen.sh, config.h.in,
	  configure, configure.in, startup/Makefile.in,
	  startup/unix/Makefile.in, startup/unix/linux/Makefile.in,
	  startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in, unix/Makefile.am,
	  unix/Makefile.in:

	dmake:  Allow the whole configure process to work,  not needs update to bootstrap to activate

2002-10-01 11:08  waratah

	* Makefile.in, startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/linux/Makefile.in, startup/unix/macosx/Makefile.in,
	  startup/unix/solaris/Makefile.in, unix/Makefile.in:

	dmake:  Add all the automake files, premade so developers do not require automake installed

2002-07-11 04:53  mh

	* Makefile.am, configure.in, extern.h, rulparse.c,
	  startup/unix/Makefile.am, startup/unix/macosx/Makefile.am,
	  unix/Makefile.am, unix/tempnam.c:

	join: from OOO_STABLE_1

2002-07-11 04:44  mh

	* autogen.sh:

	join: from OOO_STABLE_1

2002-04-10 11:40  hjs

	* rulparse.c:

	don't search INCLUDEDIRS if filename of include starts at fs-root

2002-04-09 13:21  mh

	* configure.in:

	fixed typo for FreeBSD

2002-04-09 13:10  hjs

	* Makefile.am, configure.in:

	cygwin support

2002-03-26 09:23  mh

	* configure.in:

	add: cygwin

2002-03-26 09:22  mh

	* unix/cygwin/public.h:

	add for cygwin

2001-10-16 08:11  mh

	* configure.in:

	add: FreeBSD

2001-10-16 08:10  mh

	* autogen.sh:

	fix: for non writable aclocal.m4 and missing README

2001-08-20 05:57  mh

	* configure.in:

	del: AC_CONFIG_HEADERS

2001-06-14 13:31  mh

	* configure.in:

	don't check C++

2001-06-13 09:34  mh

	* Makefile.am, configure.in, unix/Makefile.am:

	add: OS_VERSION to differ the Unix's

2001-06-13 09:13  mh

	* startup/unix/solaris/Makefile.am:

	add: startup/unix/solaris/

2001-05-29 18:43  pluby

	* unix/runargv.c:

	Added forceful exit to avoid infinite loop that sometimes occurs when there is a fatal error.

2001-05-07 08:47  mh

	* unix/runargv.c:

	add: CYGWIN changes

2001-05-04 06:47  mh

	* Makefile.am, aclocal.m4, config.h.in, configure:

	chg: comments

2001-04-23 08:41  mh

	* unix/Makefile.in, startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/linux/Makefile.in:

	del:

2001-04-23 08:24  mh

	* Makefile.in:

	del:

2001-04-23 08:22  mh

	* Makefile.in:

	del

2001-04-23 08:10  mh

	* configure.in:

	add: PACKAGE

2001-04-23 07:06  mh

	* unix/Makefile.am:

	add: Makefile.am

2001-04-23 07:01  mh

	* aclocal.m4:

	add: acloacl.m4

2001-04-23 06:50  mh

	* unix/Makefile.in, startup/Makefile.in, startup/unix/Makefile.in,
	  startup/unix/linux/Makefile.in:

	add: Makefile.in

2001-04-23 06:50  mh

	* Makefile.in:

	add Makefile.in

2001-04-20 10:24  mh

	* startup/: Makefile.am, unix/Makefile.am, unix/linux/Makefile.am:

	add: Makefile.am

2001-04-20 10:23  mh

	* unix/ruletab.c:

	use installation directory from configure for DMAKEROOT, DMAKEROOT can still be overridden by environment

2001-04-20 10:21  mh

	* extern.h:

	avoid clash with autoconf config.h

2001-04-20 10:15  mh

	* AUTHORS, COPYING, INSTALL, Makefile.am, NEWS, acinclude.m4,
	  autogen.sh, config.guess, config.h.in, config.sub, configure,
	  configure.in, dmakeroot.h.in, install-sh, missing, mkinstalldirs,
	  stamp-h:

	preparation for autoconf and automake for dmake

2001-02-22 22:44  pluby

	* unix/macosx/: tempnam.c, gnu/make.sh:

	Correct Mac OS X "tempnam" bug

2001-02-19 11:08  hjs

	* sysintf.c:

	remove useless part of change

2001-02-13 07:43  hjs

	* sysintf.c:

	fixed left tmpfiles when building group targets

2000-11-01 07:27  hjs

	* unix/runargv.c:

	FreeBSD patch

2000-10-20 07:12  hjs

	* getinp.c:

	has an extraneous ; after the function closure

2000-09-22 11:33  hr

	* dag.c, dmake.c, dmake.h, expand.c, extern.h, function.c,
	  getinp.c, imacs.c, infer.c, itypes.h, make.c, makefile.mk,
	  parse.c, posix.h, quit.c, rulparse.c, stdmacs.h, sysintf.c,
	  tempnam.c, mac/main.c, mac/public.h, man/dmake.nc, man/dmake.tf,
	  man/readme, msdos/borland/bcc30/public.h,
	  msdos/borland/bcc40/public.h, msdos/borland/bcc45/public.h,
	  msdos/borland/bcc50/public.h, msdos/borland/tcc20/public.h,
	  msdos/microsft/msc51/public.h, msdos/microsft/msc60/public.h,
	  msdos/zortech/public.h, os2/ibm/icc/public.h,
	  os2/ibm/icc3/public.h, qssl/public.h, readme/intro.txt,
	  readme/read1st.txt, tos/public.h, unix/arlib.c, unix/dcache.c,
	  unix/rmprq.c, unix/ruletab.c, unix/runargv.c,
	  unix/386ix/public.h, unix/bsd43/public.h, unix/bsd43/uw/public.h,
	  unix/bsd43/vf/public.h, unix/bsdarm32/public.h,
	  unix/coherent/ver40/public.h, unix/coherent/ver42/public.h,
	  unix/linux/gnu/make.sh, unix/linux/gnu/public.h,
	  unix/macosx/gnu/make.sh, unix/macosx/gnu/public.h,
	  unix/solaris/public.h, unix/solaris/gnu/public.h,
	  unix/sysvr1/public.h, unix/sysvr3/public.h,
	  unix/sysvr3/gnu/public.h, unix/sysvr3/pwd/public.h,
	  unix/sysvr4/public.h, unix/xenix/public.h,
	  unix/xenix/pwd/public.h, win95/borland/bcc50/public.h,
	  win95/microsft/config.h, win95/microsft/ruletab.c,
	  win95/microsft/vpp40/mk.bat, win95/microsft/vpp40/obj.rsp,
	  win95/microsft/vpp40/public.h, winnt/borland/bcc50/public.h,
	  winnt/microsft/vpp40/public.h:

	Initial revision

2000-09-22 11:33  hr

	* alloc.h, db.h, dmdump.c, dmstring.c, dstdarg.h, hash.c,
	  macparse.c, make.bat, make.cmd, path.c, percent.c, rcsclean.awk,
	  stat.c, state.c, struct.h, vextern.h, dbug/dbug.mk, dbug/getwd.c,
	  dbug/readme, dbug/dbug/dbug.c, dbug/dbug/dbug.h,
	  dbug/dbug/dbug.uue, dbug/dbug/readme, dbug/malloc/_changes,
	  dbug/malloc/_readme, dbug/malloc/calloc.c, dbug/malloc/debug.h,
	  dbug/malloc/dump.c, dbug/malloc/free.c, dbug/malloc/m_init.c,
	  dbug/malloc/m_perror.c, dbug/malloc/makefile,
	  dbug/malloc/malloc.3, dbug/malloc/malloc.c, dbug/malloc/malloc.h,
	  dbug/malloc/mallopt.c, dbug/malloc/memory.c,
	  dbug/malloc/mlc_chk.c, dbug/malloc/mlc_chn.c,
	  dbug/malloc/patchlev, dbug/malloc/realloc.c,
	  dbug/malloc/string.c, dbug/malloc/testmem.c,
	  dbug/malloc/testmlc.c, dbug/malloc/tostring.c,
	  dbug/malloc/tostring.h, mac/arlib.c, mac/make_mac.sh,
	  mac/bogus.c, mac/config.mk, mac/dirbrk.c, mac/directry.c,
	  mac/dompwmak, mac/environ.c, mac/eold.c, mac/make.sh,
	  mac/rmprq.c, mac/ruletab.c, mac/startup.h, mac/sysintf.h,
	  mac/template.mk, mac/tempnam.c, mac/tomacfil.c, msdos/arlib.c,
	  msdos/config.mk, msdos/dchdir.c, msdos/dirbrk.c, msdos/dirent.h,
	  msdos/dirlib.c, msdos/dosdta.h, msdos/dstrlwr.c, msdos/exec.asm,
	  msdos/exec.h, msdos/exec.uue, msdos/find.c, msdos/rmprq.c,
	  msdos/ruletab.c, msdos/runargv.c, msdos/spawn.c, msdos/startup.h,
	  msdos/switchar.c, msdos/sysintf.h, msdos/tee.c,
	  msdos/borland/config.mk, msdos/borland/tempnam.c,
	  msdos/borland/utime.c, msdos/borland/bcc30/config.h,
	  msdos/borland/bcc30/config.mk, msdos/borland/bcc30/lib.rsp,
	  msdos/borland/bcc30/libswp.rsp, msdos/borland/bcc30/mkswp.bat,
	  msdos/borland/bcc30/obj.rsp, msdos/borland/bcc30/objswp.rsp,
	  msdos/borland/bcc30/template.mk, msdos/borland/bcc40/config.h,
	  msdos/borland/bcc40/config.mk, msdos/borland/bcc40/lib.rsp,
	  msdos/borland/bcc40/libswp.rsp, msdos/borland/bcc40/mkswp.bat,
	  msdos/borland/bcc40/obj.rsp, msdos/borland/bcc40/objswp.rsp,
	  msdos/borland/bcc40/template.mk, msdos/borland/bcc45/config.h,
	  msdos/borland/bcc45/config.mk, msdos/borland/bcc45/lib.rsp,
	  msdos/borland/bcc45/libswp.rsp, msdos/borland/bcc45/mkswp.bat,
	  msdos/borland/bcc45/obj.rsp, msdos/borland/bcc45/objswp.rsp,
	  msdos/borland/bcc45/template.mk, msdos/borland/bcc50/config.h,
	  msdos/borland/bcc50/config.mk, msdos/borland/bcc50/lib.rsp,
	  msdos/borland/bcc50/libswp.rsp, msdos/borland/bcc50/mkswp.bat,
	  msdos/borland/bcc50/obj.rsp, msdos/borland/bcc50/objswp.rsp,
	  msdos/borland/bcc50/template.mk, msdos/borland/tcc20/config.h,
	  msdos/borland/tcc20/config.mk, msdos/borland/tcc20/libswp.rsp,
	  msdos/borland/tcc20/mkswp.bat, msdos/borland/tcc20/objswp.rsp,
	  msdos/borland/tcc20/template.mk, msdos/microsft/config.h,
	  msdos/microsft/config.mk, msdos/microsft/optoff.h,
	  msdos/microsft/tempnam.c, msdos/microsft/msc51/config.mk,
	  msdos/microsft/msc51/lib.rsp, msdos/microsft/msc51/libswp.rsp,
	  msdos/microsft/msc51/mk.bat, msdos/microsft/msc51/mkswp.bat,
	  msdos/microsft/msc51/obj.rsp, msdos/microsft/msc51/objswp.rsp,
	  msdos/microsft/msc51/template.mk, msdos/microsft/msc60/config.mk,
	  msdos/microsft/msc60/lib.rsp, msdos/microsft/msc60/libswp.rsp,
	  msdos/microsft/msc60/mk.bat, msdos/microsft/msc60/mkswp.bat,
	  msdos/microsft/msc60/obj.rsp, msdos/microsft/msc60/objswp.rsp,
	  msdos/microsft/msc60/template.mk, msdos/zortech/config.h,
	  msdos/zortech/config.mk, msdos/zortech/environ.c,
	  msdos/zortech/lib.rsp, msdos/zortech/libswp.rsp,
	  msdos/zortech/mkswp.bat, msdos/zortech/obj.rsp,
	  msdos/zortech/objswp.rsp, msdos/zortech/startup.mk,
	  msdos/zortech/tempnam.c, os2/config.mk, os2/dchdir.c,
	  os2/dirent.h, os2/ruletab.c, os2/startup.h, os2/switchar.c,
	  os2/sysintf.h, os2/ibm/config.h, os2/ibm/config.mk,
	  os2/ibm/tempnam.c, os2/ibm/icc/config.mk, os2/ibm/icc/lib.rsp,
	  os2/ibm/icc/mk.cmd, os2/ibm/icc/obj.rsp, os2/ibm/icc/template.mk,
	  os2/ibm/icc3/config.mk, os2/ibm/icc3/lib.rsp,
	  os2/ibm/icc3/mk.cmd, os2/ibm/icc3/obj.rsp,
	  os2/ibm/icc3/template.mk, qssl/config.mk, qssl/make.sh,
	  qssl/ruletab.c, qssl/runargv.c, qssl/setup, qssl/startup.h,
	  qssl/stdlib.h, qssl/sysintf.h, qssl/template.mk, qssl/tempnam.c,
	  qssl/time.h, readme/license.txt, readme/release.txt,
	  readme/public/install.txt, readme/public/mac.txt,
	  readme/public/msdos.txt, readme/public/os2.txt,
	  readme/public/qssl-qnx.txt, readme/public/srcorg.txt,
	  readme/public/tos.txt, readme/public/unix.txt,
	  startup/startup.mk, startup/summary, startup/template.mk,
	  startup/mac/macros.mk, startup/msdos/macros.mk,
	  startup/msdos/recipes.mk, startup/msdos/borland/macros.mk,
	  startup/msdos/borland/bcc30/macros.mk,
	  startup/msdos/borland/bcc40/macros.mk,
	  startup/msdos/borland/bcc45/macros.mk,
	  startup/msdos/borland/bcc50/macros.mk,
	  startup/msdos/borland/bcc50.32/macros.mk,
	  startup/msdos/borland/tcc20/macros.mk,
	  startup/msdos/microsft/macros.mk,
	  startup/msdos/zortech/macros.mk, startup/os2/macros.mk,
	  startup/os2/ibm/macros.mk, startup/qssl/macros.mk,
	  startup/qssl/recipes.mk, startup/qssl/qnx/macros.mk,
	  startup/qssl/qnx/recipes.mk, startup/templates/mac/template.mk,
	  startup/templates/msdos/borland/bcc30/template.mk,
	  startup/templates/msdos/borland/bcc40/template.mk,
	  startup/templates/msdos/borland/bcc45/template.mk,
	  startup/templates/msdos/borland/bcc50/template.mk,
	  startup/templates/msdos/borland/tcc20/template.mk,
	  startup/templates/msdos/microsft/msc51/template.mk,
	  startup/templates/msdos/microsft/msc60/template.mk,
	  startup/templates/os2/ibm/icc/template.mk,
	  startup/templates/qssl/template.mk,
	  startup/templates/tos/template.mk,
	  startup/templates/unix/386ix/template.mk,
	  startup/templates/unix/bsd43/template.mk,
	  startup/templates/unix/bsd43/uw/template.mk,
	  startup/templates/unix/bsd43/vf/template.mk,
	  startup/templates/unix/coherent/ver40/template.mk,
	  startup/templates/unix/coherent/ver42/template.mk,
	  startup/templates/unix/linux/gnu/template.mk,
	  startup/templates/unix/solaris/template.mk,
	  startup/templates/unix/solaris/gnu/template.mk,
	  startup/templates/unix/sysvr1/template.mk,
	  startup/templates/unix/sysvr3/template.mk,
	  startup/templates/unix/sysvr3/pwd/template.mk,
	  startup/templates/unix/sysvr4/template.mk,
	  startup/templates/unix/xenix/template.mk,
	  startup/templates/unix/xenix/pwd/template.mk,
	  startup/templates/win95/borland/bcc50/template.mk,
	  startup/templates/win95/microsft/vpp40/template.mk,
	  startup/templates/winnt/borland/bcc50/template.mk,
	  startup/templates/winnt/microsft/vpp40/template.mk,
	  startup/tos/macros.mk, startup/unix/macros.mk,
	  startup/unix/recipes.mk, startup/unix/386ix/macros.mk,
	  startup/unix/bsd43/macros.mk, startup/unix/bsd43/recipes.mk,
	  startup/unix/coherent/macros.mk,
	  startup/unix/coherent/recipes.mk, startup/unix/linux/macros.mk,
	  startup/unix/linux/gnu/macros.mk, startup/unix/macosx/macros.mk,
	  startup/unix/macosx/gnu/macros.mk,
	  startup/unix/solaris/macros.mk, startup/unix/sysvr1/macros.mk,
	  startup/unix/sysvr3/macros.mk, startup/unix/sysvr3/gnu/macros.mk,
	  startup/unix/sysvr4/macros.mk, startup/unix/xenix/macros.mk,
	  startup/win95/macros.mk, startup/win95/recipes.mk,
	  startup/win95/borland/macros.mk,
	  startup/win95/microsft/macros.mk, startup/winnt/macros.mk,
	  startup/winnt/recipes.mk, startup/winnt/borland/macros.mk,
	  startup/winnt/microsft/macros.mk, tos/config.mk, tos/make.sh,
	  tos/putenv.c, tos/ruletab.c, tos/startup.h, tos/sysintf.h,
	  tos/template.mk, tos/tempnam.c, unix/config.mk, unix/dirbrk.c,
	  unix/startup.h, unix/sysintf.h, unix/386ix/ar.h,
	  unix/386ix/config.mk, unix/386ix/make.sh, unix/386ix/stdlib.h,
	  unix/386ix/template.mk, unix/386ix/time.h, unix/bsd43/config.mk,
	  unix/bsd43/dirent.h, unix/bsd43/limits.h, unix/bsd43/make.sh,
	  unix/bsd43/template.mk, unix/bsd43/putenv.c,
	  unix/bsd43/setvbuf.c, unix/bsd43/stdlib.h, unix/bsd43/string.h,
	  unix/bsd43/tempnam.c, unix/bsd43/utime.c,
	  unix/bsd43/uw/config.mk, unix/bsd43/uw/make.sh,
	  unix/bsd43/uw/template.mk, unix/bsd43/vf/config.mk,
	  unix/bsd43/vf/ctype.h, unix/bsd43/vf/make.sh,
	  unix/bsd43/vf/memcpy.c, unix/bsd43/vf/template.mk,
	  unix/bsd43/vf/vfprintf.c, unix/bsdarm32/config.mk,
	  unix/bsdarm32/dirent.h, unix/bsdarm32/limits.h,
	  unix/bsdarm32/make.sh, unix/bsdarm32/putenv.c,
	  unix/bsdarm32/stdlib.h, unix/bsdarm32/string.h,
	  unix/bsdarm32/template.mk, unix/bsdarm32/tempnam.c,
	  unix/bsdarm32/utime.c, unix/coherent/config.mk,
	  unix/coherent/stdlib.h, unix/coherent/time.h,
	  unix/coherent/ver40/config.mk, unix/coherent/ver40/getcwd.c,
	  unix/coherent/ver40/make.sh, unix/coherent/ver40/template.mk,
	  unix/coherent/ver40/vfprintf.c, unix/coherent/ver42/config.mk,
	  unix/coherent/ver42/template.mk, unix/coherent/ver42/make.sh,
	  unix/linux/config.mk, unix/linux/gnu/config.mk,
	  unix/linux/gnu/template.mk, unix/macosx/config.mk,
	  unix/macosx/gnu/config.mk, unix/macosx/gnu/template.mk,
	  unix/solaris/config.mk, unix/solaris/getcwd.c,
	  unix/solaris/make.sh, unix/solaris/template.mk,
	  unix/solaris/tempnam.c, unix/solaris/gnu/config.mk,
	  unix/solaris/gnu/make.sh, unix/solaris/gnu/template.mk,
	  unix/sysvr1/config.mk, unix/sysvr1/make.sh, unix/sysvr1/putenv.c,
	  unix/sysvr1/stdlib.h, unix/sysvr1/template.mk,
	  unix/sysvr1/time.h, unix/sysvr1/vfprintf.c,
	  unix/sysvr3/config.mk, unix/sysvr3/make.sh, unix/sysvr3/stdlib.h,
	  unix/sysvr3/template.mk, unix/sysvr3/time.h,
	  unix/sysvr3/pwd/config.mk, unix/sysvr3/pwd/template.mk,
	  unix/sysvr3/pwd/getcwd.c, unix/sysvr3/pwd/make.sh,
	  unix/sysvr4/config.mk, unix/sysvr4/make.sh,
	  unix/sysvr4/template.mk, unix/xenix/config.mk,
	  unix/xenix/make.sh, unix/xenix/stdlib.h, unix/xenix/template.mk,
	  unix/xenix/time.h, unix/xenix/pwd/config.mk,
	  unix/xenix/pwd/getcwd.c, unix/xenix/pwd/make.sh,
	  unix/xenix/pwd/template.mk, win95/config.mk, win95/dchdir.c,
	  win95/startup.h, win95/switchar.c, win95/borland/config.mk,
	  win95/borland/ruletab.c, win95/borland/sysintf.h,
	  win95/borland/tempnam.c, win95/borland/bcc50/config.h,
	  win95/borland/bcc50/config.mk, win95/borland/bcc50/lib.rsp,
	  win95/borland/bcc50/mk.bat, win95/borland/bcc50/obj.rsp,
	  win95/borland/bcc50/template.mk, win95/microsft/config.mk,
	  win95/microsft/optoff.h, win95/microsft/sysintf.h,
	  win95/microsft/tempnam.c, win95/microsft/vpp40/config.mk,
	  win95/microsft/vpp40/lib.rsp, win95/microsft/vpp40/runargv.c,
	  win95/microsft/vpp40/template.mk, win95/microsft/vpp40/tempnam.c,
	  winnt/config.mk, winnt/dchdir.c, winnt/startup.h,
	  winnt/borland/config.mk, winnt/borland/ruletab.c,
	  winnt/borland/sysintf.h, winnt/borland/tempnam.c,
	  winnt/borland/bcc50/config.h, winnt/borland/bcc50/config.mk,
	  winnt/borland/bcc50/lib.rsp, winnt/borland/bcc50/mk.bat,
	  winnt/borland/bcc50/mk.cmd, winnt/borland/bcc50/obj.rsp,
	  winnt/borland/bcc50/template.mk, winnt/microsft/config.h,
	  winnt/microsft/config.mk, winnt/microsft/optoff.h,
	  winnt/microsft/ruletab.c, winnt/microsft/sysintf.h,
	  winnt/microsft/tempnam.c, winnt/microsft/vpp40/config.mk,
	  winnt/microsft/vpp40/lib.rsp, winnt/microsft/vpp40/mk.bat,
	  winnt/microsft/vpp40/mk.cmd, winnt/microsft/vpp40/obj.rsp,
	  winnt/microsft/vpp40/runargv.c, winnt/microsft/vpp40/template.mk,
	  winnt/microsft/vpp40/tempnam.c:

	initial import

